commit bundle-lang-common for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package bundle-lang-common for 
openSUSE:Factory checked in at 2017-12-02 00:24:52

Comparing /work/SRC/openSUSE:Factory/bundle-lang-common (Old)
 and  /work/SRC/openSUSE:Factory/.bundle-lang-common.new (New)


Package is "bundle-lang-common"

Sat Dec  2 00:24:52 2017 rev:238 rq: version:13.2

Changes:

bundle-lang-gnome.changes: same change
bundle-lang-kde.changes: same change
bundle-lang-other.changes: same change



Other differences:
--
++ bundle-lang-common.spec ++
--- /var/tmp/diff_new_pack.06p93m/_old  2017-12-02 00:24:59.578161883 +0100
+++ /var/tmp/diff_new_pack.06p93m/_new  2017-12-02 00:24:59.586161593 +0100
@@ -77,6 +77,7 @@
 BuildRequires:  upower-lang
 BuildRequires:  util-linux-lang
 BuildRequires:  vorbis-tools-lang
+BuildRequires:  wol-lang
 BuildRequires:  xdg-user-dirs-lang
 BuildRequires:  xkeyboard-config-lang
 BuildRequires:  xz-lang
@@ -241,6 +242,9 @@
 Provides:   vorbis-tools-lang = %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Obsoletes:  vorbis-tools-lang < %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Provides:   locale(vorbis-tools:en)
+Provides:   wol-lang = %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Obsoletes:  wol-lang < %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Provides:   locale(wol:en)
 Provides:   xdg-user-dirs-lang = %(rpm -q --queryformat '%{VERSION}' 
xdg-user-dirs-lang)
 Obsoletes:  xdg-user-dirs-lang < %(rpm -q --queryformat '%{VERSION}' 
xdg-user-dirs-lang)
 Provides:   locale(xdg-user-dirs:en)
@@ -400,6 +404,9 @@
 Provides:   vorbis-tools-lang = %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Obsoletes:  vorbis-tools-lang < %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Provides:   locale(vorbis-tools:de)
+Provides:   wol-lang = %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Obsoletes:  wol-lang < %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Provides:   locale(wol:de)
 Provides:   xdg-user-dirs-lang = %(rpm -q --queryformat '%{VERSION}' 
xdg-user-dirs-lang)
 Obsoletes:  xdg-user-dirs-lang < %(rpm -q --queryformat '%{VERSION}' 
xdg-user-dirs-lang)
 Provides:   locale(xdg-user-dirs:de)
@@ -559,6 +566,9 @@
 Provides:   vorbis-tools-lang = %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Obsoletes:  vorbis-tools-lang < %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Provides:   locale(vorbis-tools:es)
+Provides:   wol-lang = %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Obsoletes:  wol-lang < %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Provides:   locale(wol:es)
 Provides:   xdg-user-dirs-lang = %(rpm -q --queryformat '%{VERSION}' 
xdg-user-dirs-lang)
 Obsoletes:  xdg-user-dirs-lang < %(rpm -q --queryformat '%{VERSION}' 
xdg-user-dirs-lang)
 Provides:   locale(xdg-user-dirs:es)
@@ -718,6 +728,9 @@
 Provides:   vorbis-tools-lang = %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Obsoletes:  vorbis-tools-lang < %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Provides:   locale(vorbis-tools:it)
+Provides:   wol-lang = %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Obsoletes:  wol-lang < %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Provides:   locale(wol:it)
 Provides:   xdg-user-dirs-lang = %(rpm -q --queryformat '%{VERSION}' 
xdg-user-dirs-lang)
 Obsoletes:  xdg-user-dirs-lang < %(rpm -q --queryformat '%{VERSION}' 
xdg-user-dirs-lang)
 Provides:   locale(xdg-user-dirs:it)
@@ -877,6 +890,9 @@
 Provides:   vorbis-tools-lang = %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Obsoletes:  vorbis-tools-lang < %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Provides:   locale(vorbis-tools:fr)
+Provides:   wol-lang = %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Obsoletes:  wol-lang < %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Provides:   locale(wol:fr)
 Provides:   xdg-user-dirs-lang = %(rpm -q --queryformat '%{VERSION}' 
xdg-user-dirs-lang)
 Obsoletes:  xdg-user-dirs-lang < %(rpm -q --queryformat '%{VERSION}' 
xdg-user-dirs-lang)
 Provides:   locale(xdg-user-dirs:fr)
@@ -1036,6 +1052,9 @@
 Provides:   vorbis-tools-lang = %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Obsoletes:  vorbis-tools-lang < %(rpm -q --queryformat '%{VERSION}' 
vorbis-tools-lang)
 Provides:   locale(vorbis-tools:ja)
+Provides:   wol-lang = %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Obsoletes:  wol-lang < %(rpm -q --queryformat '%{VERSION}' wol-lang)
+Provides:   locale(wol:ja)
 Provides:   xdg-user-dirs-lang = %(rpm -q --queryformat '%{VERSION}' 
xdg-user-dirs-lang)
 

commit yast2-inetd for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package yast2-inetd for openSUSE:Factory 
checked in at 2017-12-01 17:17:34

Comparing /work/SRC/openSUSE:Factory/yast2-inetd (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-inetd.new (New)


Package is "yast2-inetd"

Fri Dec  1 17:17:34 2017 rev:42 rq:546636 version:4.0.0

Changes:

--- /work/SRC/openSUSE:Factory/yast2-inetd/yast2-inetd.changes  2016-06-11 
00:00:29.0 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-inetd.new/yast2-inetd.changes 
2017-12-01 17:17:35.442867098 +0100
@@ -1,0 +2,7 @@
+Thu Nov 30 08:46:47 UTC 2017 - lsle...@suse.cz
+
+- Fixed build failure caused by a jemalloc warning printed on
+  the STDERR (bsc#1068883)
+- 4.0.0
+
+---

Old:

  yast2-inetd-3.1.13.tar.bz2

New:

  yast2-inetd-4.0.0.tar.bz2



Other differences:
--
++ yast2-inetd.spec ++
--- /var/tmp/diff_new_pack.hDvd1e/_old  2017-12-01 17:17:36.250838050 +0100
+++ /var/tmp/diff_new_pack.hDvd1e/_new  2017-12-01 17:17:36.254837907 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package yast2-inetd
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-inetd
-Version:3.1.13
+Version:4.0.0
 Release:0
 Url:https://github.com/yast/yast-inetd
 

++ yast2-inetd-3.1.13.tar.bz2 -> yast2-inetd-4.0.0.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-inetd-3.1.13/.travis.yml 
new/yast2-inetd-4.0.0/.travis.yml
--- old/yast2-inetd-3.1.13/.travis.yml  2016-06-07 14:16:41.075729131 +0200
+++ new/yast2-inetd-4.0.0/.travis.yml   2017-11-30 10:37:18.0 +0100
@@ -1,16 +1,11 @@
-language: cpp
-compiler:
-- gcc
+sudo: required
+language: bash
+services:
+  - docker
+
 before_install:
-# disable rvm, use system Ruby
-- rvm reset
-- wget 
https://raw.githubusercontent.com/yast/yast-devtools/master/travis-tools/travis_setup.sh
-- sh ./travis_setup.sh -p "rake yast2-devtools yast2-testsuite yast2 
yast2-users" -g "rspec:3.3.0 yast-rake gettext"
+  - docker build -t yast-inetd-image .
 script:
-- rake check:syntax
-- rake check:pot
-- make -f Makefile.cvs
-- make
-- sudo make install
-- make check
-
+  # the "yast-travis-ruby" script is included in the base yastdevel/ruby image
+  # see https://github.com/yast/docker-yast-ruby/blob/master/yast-travis-ruby
+  - docker run -it -e TRAVIS=1 -e TRAVIS_JOB_ID="$TRAVIS_JOB_ID" 
yast-inetd-image yast-travis-ruby
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-inetd-3.1.13/.yardopts 
new/yast2-inetd-4.0.0/.yardopts
--- old/yast2-inetd-3.1.13/.yardopts1970-01-01 01:00:00.0 +0100
+++ new/yast2-inetd-4.0.0/.yardopts 2017-11-30 10:37:18.0 +0100
@@ -0,0 +1,3 @@
+# generate the output to different directory to not
+# overwrite the existing documentation there
+-o doc/autodoc
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-inetd-3.1.13/CONTRIBUTING.md 
new/yast2-inetd-4.0.0/CONTRIBUTING.md
--- old/yast2-inetd-3.1.13/CONTRIBUTING.md  2016-06-07 14:16:41.087729131 
+0200
+++ new/yast2-inetd-4.0.0/CONTRIBUTING.md   2017-11-30 10:37:18.0 
+0100
@@ -3,7 +3,7 @@
 
 YaST is an open source project and as such it welcomes all kinds of
 contributions. If you decide to contribute, please follow these guidelines to
-ensure the process is effective and pleasant both for you and YaST maintainers.
+ensure the process is effective and pleasant both for you and the YaST 
maintainers.
 
 There are two main forms of contribution: reporting bugs and performing code
 changes.
@@ -17,13 +17,11 @@
 
registration](https://secure-www.novell.com/selfreg/jsp/createSimpleAccount.jsp)
 if you don't have an account yet.)
 
-If you find a problem, please report it either using
-[Bugzilla](https://bugzilla.suse.com/) or GitHub issues. We can't guarantee
-that every bug will be fixed, but we'll try.
-
 When creating a bug report, please follow our [bug reporting
 guidelines](http://en.opensuse.org/openSUSE:Report_a_YaST_bug).
 
+We can't guarantee that every bug will be fixed, but we'll try.
+
 Code Changes
 
 
@@ -44,15 +42,22 @@
  to the [Ruby style
  guide](https://github.com/SUSE/style-guides/blob/master/Ruby.md).
 
-  4. Make sure your change didn't break anything by building the RPM package
+  4. 

commit yast2-apparmor for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package yast2-apparmor for openSUSE:Factory 
checked in at 2017-12-01 17:17:29

Comparing /work/SRC/openSUSE:Factory/yast2-apparmor (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-apparmor.new (New)


Package is "yast2-apparmor"

Fri Dec  1 17:17:29 2017 rev:65 rq:546427 version:4.0.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-apparmor/yast2-apparmor.changes
2017-11-01 11:08:37.415997177 +0100
+++ /work/SRC/openSUSE:Factory/.yast2-apparmor.new/yast2-apparmor.changes   
2017-12-01 17:17:29.451082510 +0100
@@ -1,0 +2,5 @@
+Wed Nov 22 12:09:45 CST 2017 - rgold...@suse.com
+
+- fix textdomain to apparmor (bsc#1065569)
+- 4.0.2
+---

Old:

  yast2-apparmor-4.0.1.tar.bz2

New:

  yast2-apparmor-4.0.2.tar.bz2



Other differences:
--
++ yast2-apparmor.spec ++
--- /var/tmp/diff_new_pack.WaPBxI/_old  2017-12-01 17:17:30.259053462 +0100
+++ /var/tmp/diff_new_pack.WaPBxI/_new  2017-12-01 17:17:30.259053462 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-apparmor
-Version:4.0.1
+Version:4.0.2
 Release:0
 Summary:YaST2 - Plugins for AppArmor Profile Management
 License:GPL-2.0

++ yast2-apparmor-4.0.1.tar.bz2 -> yast2-apparmor-4.0.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-apparmor-4.0.1/package/yast2-apparmor.changes 
new/yast2-apparmor-4.0.2/package/yast2-apparmor.changes
--- old/yast2-apparmor-4.0.1/package/yast2-apparmor.changes 2017-10-30 
11:08:23.084642962 +0100
+++ new/yast2-apparmor-4.0.2/package/yast2-apparmor.changes 2017-11-29 
14:40:09.0 +0100
@@ -1,4 +1,9 @@
 ---
+Wed Nov 22 12:09:45 CST 2017 - rgold...@suse.com
+
+- fix textdomain to apparmor (bsc#1065569)
+- 4.0.2
+---
 Wed Oct 18 11:11:36 CDT 2017 - rgold...@suse.com
 
 - Remove more perl dependencies (boo#1062656)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-apparmor-4.0.1/package/yast2-apparmor.spec 
new/yast2-apparmor-4.0.2/package/yast2-apparmor.spec
--- old/yast2-apparmor-4.0.1/package/yast2-apparmor.spec2017-10-30 
11:08:23.084642962 +0100
+++ new/yast2-apparmor-4.0.2/package/yast2-apparmor.spec2017-11-29 
14:40:09.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-apparmor
-Version:4.0.1
+Version:4.0.2
 Release:0
 Summary:YaST2 - Plugins for AppArmor Profile Management
 Url:https://github.com/yast/yast-apparmor
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-apparmor-4.0.1/src/clients/apparmor.rb 
new/yast2-apparmor-4.0.2/src/clients/apparmor.rb
--- old/yast2-apparmor-4.0.1/src/clients/apparmor.rb2017-10-30 
11:08:23.108642962 +0100
+++ new/yast2-apparmor-4.0.2/src/clients/apparmor.rb2017-11-29 
14:40:09.0 +0100
@@ -25,7 +25,7 @@
   class ApparmorClient < Client
 def main
   Yast.import "UI"
-  textdomain "yast2-apparmor"
+  textdomain "apparmor"
   Yast.import "Wizard"
   Yast.import "Label"
   Yast.import "Popup"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-apparmor-4.0.1/src/include/apparmor/aa-config.rb 
new/yast2-apparmor-4.0.2/src/include/apparmor/aa-config.rb
--- old/yast2-apparmor-4.0.1/src/include/apparmor/aa-config.rb  2017-10-30 
11:08:23.112642962 +0100
+++ new/yast2-apparmor-4.0.2/src/include/apparmor/aa-config.rb  2017-11-29 
14:40:09.0 +0100
@@ -28,7 +28,7 @@
   Yast.include include_target, "apparmor/config_complain.rb"
   Yast.include include_target, "apparmor/helps.rb"
   Yast.include include_target, "apparmor/apparmor_ycp_utils.rb"
-  textdomain "yast2-apparmor"
+  textdomain "apparmor"
 
   Yast.import "Label"
   Yast.import "Popup"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-apparmor-4.0.1/src/include/apparmor/apparmor_profile_check.rb 
new/yast2-apparmor-4.0.2/src/include/apparmor/apparmor_profile_check.rb
--- old/yast2-apparmor-4.0.1/src/include/apparmor/apparmor_profile_check.rb 
2017-10-30 11:08:23.112642962 +0100
+++ new/yast2-apparmor-4.0.2/src/include/apparmor/apparmor_profile_check.rb 
2017-11-29 14:40:09.0 +0100
@@ -26,7 +26,7 @@
 def initialize_apparmor_apparmor_profile_check(include_target)
 
   Yast.import "Popup"
-  textdomain "yast2-apparmor"
+  textdomain "apparmor"
 end
 

commit rubygem-cfa_grub2 for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package rubygem-cfa_grub2 for 
openSUSE:Factory checked in at 2017-12-01 17:17:44

Comparing /work/SRC/openSUSE:Factory/rubygem-cfa_grub2 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-cfa_grub2.new (New)


Package is "rubygem-cfa_grub2"

Fri Dec  1 17:17:44 2017 rev:10 rq:546774 version:0.6.5

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-cfa_grub2/rubygem-cfa_grub2.changes  
2017-08-04 11:57:20.884836073 +0200
+++ /work/SRC/openSUSE:Factory/.rubygem-cfa_grub2.new/rubygem-cfa_grub2.changes 
2017-12-01 17:17:45.470506592 +0100
@@ -0,0 +1,12 @@
+-
+Thu Nov 30 14:35:47 UTC 2017 - jreidin...@suse.com
+
+- fix reading GRUB_TERMINAL (caused by fix for bsc#1068578)
+- 0.6.5
+
+-
+Thu Nov 30 07:45:45 UTC 2017 - jreidin...@suse.com
+
+- avoid crash if config file uses trailing comment (bsc#1068578)
+- 0.6.4
+

Old:

  cfa_grub2-0.6.3.gem

New:

  cfa_grub2-0.6.5.gem



Other differences:
--
++ rubygem-cfa_grub2.spec ++
--- /var/tmp/diff_new_pack.4rbh1Q/_old  2017-12-01 17:17:46.206480133 +0100
+++ /var/tmp/diff_new_pack.4rbh1Q/_new  2017-12-01 17:17:46.206480133 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   rubygem-cfa_grub2
-Version:0.6.3
+Version:0.6.5
 Release:0
 %define mod_name cfa_grub2
 %define mod_full_name %{mod_name}-%{version}

++ cfa_grub2-0.6.3.gem -> cfa_grub2-0.6.5.gem ++
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/cfa/grub2/default.rb new/lib/cfa/grub2/default.rb
--- old/lib/cfa/grub2/default.rb2017-08-02 13:53:52.0 +0200
+++ new/lib/cfa/grub2/default.rb2017-11-30 16:11:42.0 +0100
@@ -49,7 +49,7 @@
 kernels = [kernel_params, xen_hypervisor_params, xen_kernel_params,
recovery_params]
 kernels.each do |kernel|
-  param_line = data[kernel.key]
+  param_line = value_for(kernel.key)
   kernel.replace(param_line) if param_line
 end
   end
@@ -64,27 +64,28 @@
 
   def kernel_params
 @kernel_params ||= KernelParams.new(
-  data["GRUB_CMDLINE_LINUX_DEFAULT"], "GRUB_CMDLINE_LINUX_DEFAULT"
+  value_for("GRUB_CMDLINE_LINUX_DEFAULT"), "GRUB_CMDLINE_LINUX_DEFAULT"
 )
   end
 
   def xen_hypervisor_params
 @xen_hypervisor_params ||= KernelParams.new(
-  data["GRUB_CMDLINE_XEN_DEFAULT"],
+  value_for("GRUB_CMDLINE_XEN_DEFAULT"),
   "GRUB_CMDLINE_XEN_DEFAULT"
 )
   end
 
   def xen_kernel_params
 @xen_kernel_params ||= KernelParams.new(
-  data["GRUB_CMDLINE_LINUX_XEN_REPLACE_DEFAULT"],
+  value_for("GRUB_CMDLINE_LINUX_XEN_REPLACE_DEFAULT"),
   "GRUB_CMDLINE_LINUX_XEN_REPLACE_DEFAULT"
 )
   end
 
   def recovery_params
 @recovery_params ||= KernelParams.new(
-  data["GRUB_CMDLINE_LINUX_RECOVERY"], "GRUB_CMDLINE_LINUX_RECOVERY"
+  value_for("GRUB_CMDLINE_LINUX_RECOVERY"),
+  "GRUB_CMDLINE_LINUX_RECOVERY"
 )
   end
 
@@ -102,13 +103,14 @@
   end
 
   def terminal
-case data["GRUB_TERMINAL"]
+value = value_for("GRUB_TERMINAL")
+case value
 when "", nil   then nil
 when "console" then :console
 when "serial"  then :serial
 when "gfxterm" then :gfxterm
 else
-  raise "unknown GRUB_TERMINAL option #{data["GRUB_TERMINAL"].inspect}"
+  raise "unknown GRUB_TERMINAL option #{value.inspect}"
 end
   end
 
@@ -127,7 +129,13 @@
   end
 
   def serial_console
-data["GRUB_SERIAL_COMMAND"]
+value_for("GRUB_SERIAL_COMMAND")
+  end
+
+private
+
+  def value_for(key)
+data[key].respond_to?(:value) ? data[key].value : data[key]
   end
 
   # Represents kernel append line with helpers to easier modification.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2017-08-02 13:53:57.0 +0200
+++ new/metadata2017-11-30 16:11:47.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: cfa_grub2
 version: !ruby/object:Gem::Version
-  version: 0.6.3
+  version: 0.6.5
 platform: ruby
 authors:
 - Josef Reidinger
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2017-08-02 00:00:00.0 Z
+date: 2017-11-30 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: cfa
@@ 

commit yast2-ruby-bindings for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package yast2-ruby-bindings for 
openSUSE:Factory checked in at 2017-12-01 17:17:49

Comparing /work/SRC/openSUSE:Factory/yast2-ruby-bindings (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-ruby-bindings.new (New)


Package is "yast2-ruby-bindings"

Fri Dec  1 17:17:49 2017 rev:86 rq:546777 version:4.0.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-ruby-bindings/yast2-ruby-bindings.changes  
2017-11-30 12:35:32.895392136 +0100
+++ 
/work/SRC/openSUSE:Factory/.yast2-ruby-bindings.new/yast2-ruby-bindings.changes 
2017-12-01 17:17:51.186301103 +0100
@@ -1,0 +2,6 @@
+Fri Nov 24 14:26:14 UTC 2017 - mvid...@suse.com
+
+- Better backtrace for dynamically defined methods (bsc#1066290)
+- 4.0.2
+
+---

Old:

  yast2-ruby-bindings-4.0.1.tar.bz2

New:

  yast2-ruby-bindings-4.0.2.tar.bz2



Other differences:
--
++ yast2-ruby-bindings.spec ++
--- /var/tmp/diff_new_pack.d1LWMe/_old  2017-12-01 17:17:51.758280539 +0100
+++ /var/tmp/diff_new_pack.d1LWMe/_new  2017-12-01 17:17:51.758280539 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-ruby-bindings
-Version:4.0.1
+Version:4.0.2
 Release:0
 Url:https://github.com/yast/yast-ruby-bindings
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ yast2-ruby-bindings-4.0.1.tar.bz2 -> yast2-ruby-bindings-4.0.2.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-ruby-bindings-4.0.1/package/yast2-ruby-bindings.changes 
new/yast2-ruby-bindings-4.0.2/package/yast2-ruby-bindings.changes
--- old/yast2-ruby-bindings-4.0.1/package/yast2-ruby-bindings.changes   
2017-11-23 15:33:45.502444639 +0100
+++ new/yast2-ruby-bindings-4.0.2/package/yast2-ruby-bindings.changes   
2017-11-30 16:19:34.0 +0100
@@ -1,4 +1,10 @@
 ---
+Fri Nov 24 14:26:14 UTC 2017 - mvid...@suse.com
+
+- Better backtrace for dynamically defined methods (bsc#1066290)
+- 4.0.2
+
+---
 Thu Nov 23 09:45:04 UTC 2017 - lsle...@suse.cz
 
 - Hardcode the Ruby version in the y2start script to always use
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-ruby-bindings-4.0.1/package/yast2-ruby-bindings.spec 
new/yast2-ruby-bindings-4.0.2/package/yast2-ruby-bindings.spec
--- old/yast2-ruby-bindings-4.0.1/package/yast2-ruby-bindings.spec  
2017-11-23 15:33:45.502444639 +0100
+++ new/yast2-ruby-bindings-4.0.2/package/yast2-ruby-bindings.spec  
2017-11-30 16:19:34.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-ruby-bindings
-Version:4.0.1
+Version:4.0.2
 Url:https://github.com/yast/yast-ruby-bindings
 Release:0
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ruby-bindings-4.0.1/src/ruby/yast/convert.rb 
new/yast2-ruby-bindings-4.0.2/src/ruby/yast/convert.rb
--- old/yast2-ruby-bindings-4.0.1/src/ruby/yast/convert.rb  2017-11-23 
15:33:45.562444639 +0100
+++ new/yast2-ruby-bindings-4.0.2/src/ruby/yast/convert.rb  2017-11-30 
16:19:34.0 +0100
@@ -37,11 +37,9 @@
 # @!method  self.to_locale(object )
 #   @return[String, nil]  *object*, or `nil` if it is not a String
 Ops::SHORTCUT_TYPES.each do |type|
-  eval < "any", :to => "#{type}"
-end
-END
+  define_singleton_method("to_#{type}") do |object|
+convert object, :from => "any", :to => type
+  end
 end
 
 # Converts object from given type to target one.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ruby-bindings-4.0.1/src/ruby/yast/ops.rb 
new/yast2-ruby-bindings-4.0.2/src/ruby/yast/ops.rb
--- old/yast2-ruby-bindings-4.0.1/src/ruby/yast/ops.rb  2017-11-23 
15:33:45.566444639 +0100
+++ new/yast2-ruby-bindings-4.0.2/src/ruby/yast/ops.rb  2017-11-30 
16:19:34.0 +0100
@@ -66,11 +66,9 @@
 # @!method self.get_locale(   obj, idx, def )
 #   @return [String, nil]   {Convert.to_locale}({get}(obj, idx, def))
 Ops::SHORTCUT_TYPES.each do |type|
-  eval <

commit yast2-perl-bindings for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package yast2-perl-bindings for 
openSUSE:Factory checked in at 2017-12-01 17:17:39

Comparing /work/SRC/openSUSE:Factory/yast2-perl-bindings (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-perl-bindings.new (New)


Package is "yast2-perl-bindings"

Fri Dec  1 17:17:39 2017 rev:41 rq:546639 version:4.0.0

Changes:

--- /work/SRC/openSUSE:Factory/yast2-perl-bindings/yast2-perl-bindings.changes  
2017-01-10 10:33:43.389931957 +0100
+++ 
/work/SRC/openSUSE:Factory/.yast2-perl-bindings.new/yast2-perl-bindings.changes 
2017-12-01 17:17:41.498649385 +0100
@@ -1,0 +2,7 @@
+Thu Nov 30 09:40:36 UTC 2017 - lsle...@suse.cz
+
+- Fixed build failure caused by a jemalloc warning printed on
+  the STDERR (bsc#1068883)
+- 4.0.0
+
+---

Old:

  yast2-perl-bindings-3.2.0.tar.bz2

New:

  yast2-perl-bindings-4.0.0.tar.bz2



Other differences:
--
++ yast2-perl-bindings.spec ++
--- /var/tmp/diff_new_pack.sHlOGN/_old  2017-12-01 17:17:42.106627527 +0100
+++ /var/tmp/diff_new_pack.sHlOGN/_new  2017-12-01 17:17:42.106627527 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-perl-bindings
-Version:3.2.0
+Version:4.0.0
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ yast2-perl-bindings-3.2.0.tar.bz2 -> yast2-perl-bindings-4.0.0.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-perl-bindings-3.2.0/.travis.yml 
new/yast2-perl-bindings-4.0.0/.travis.yml
--- old/yast2-perl-bindings-3.2.0/.travis.yml   2017-01-05 14:51:32.055000900 
+0100
+++ new/yast2-perl-bindings-4.0.0/.travis.yml   2017-11-30 10:48:15.0 
+0100
@@ -1,12 +1,12 @@
-language: cpp
-compiler:
-- gcc
+sudo: required
+language: bash
+services:
+  - docker
+
 before_install:
-- wget 
https://raw.githubusercontent.com/yast/yast-devtools/master/travis-tools/travis_setup.sh
-- sh ./travis_setup.sh -p "docbook-xsl xsltproc yast2-core-dev 
yast2-devtools libxcrypt-dev libperl-dev yast2-ycp-ui-bindings-dev yast2"
+  - docker build -t yast-perl-bindings-image .
 script:
-- make -f Makefile.cvs
-- make -j 4
-- sudo make install
-- make check
-
+  # the "yast-travis-cpp" script is included in the base yastdevel/cpp image
+  # see https://github.com/yast/docker-yast-cpp/blob/master/yast-travis-cpp
+  # $TRAVIS_JOB_ID is not strictly required but be consistent with the other 
packages...
+  - docker run -it -e TRAVIS=1 -e TRAVIS_JOB_ID="$TRAVIS_JOB_ID" 
yast-perl-bindings-image yast-travis-cpp
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-perl-bindings-3.2.0/Dockerfile 
new/yast2-perl-bindings-4.0.0/Dockerfile
--- old/yast2-perl-bindings-3.2.0/Dockerfile1970-01-01 01:00:00.0 
+0100
+++ new/yast2-perl-bindings-4.0.0/Dockerfile2017-11-30 10:48:15.0 
+0100
@@ -0,0 +1,5 @@
+FROM yastdevel/cpp
+# Some tests are written in Ruby so the yast2-ruby-bindings package is 
needed...
+RUN zypper --gpg-auto-import-keys --non-interactive in --no-recommends 
yast2-ruby-bindings
+COPY . /usr/src/app
+
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-perl-bindings-3.2.0/package/yast2-perl-bindings.changes 
new/yast2-perl-bindings-4.0.0/package/yast2-perl-bindings.changes
--- old/yast2-perl-bindings-3.2.0/package/yast2-perl-bindings.changes   
2017-01-05 14:51:32.083000900 +0100
+++ new/yast2-perl-bindings-4.0.0/package/yast2-perl-bindings.changes   
2017-11-30 10:48:15.0 +0100
@@ -1,4 +1,11 @@
 ---
+Thu Nov 30 09:40:36 UTC 2017 - lsle...@suse.cz
+
+- Fixed build failure caused by a jemalloc warning printed on
+  the STDERR (bsc#1068883)
+- 4.0.0
+
+---
 Thu Jan  5 08:35:07 UTC 2017 - jreidin...@suse.com
 
 - Initial adaptation to new ErrorNamespace for failed imports 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-perl-bindings-3.2.0/package/yast2-perl-bindings.spec 
new/yast2-perl-bindings-4.0.0/package/yast2-perl-bindings.spec
--- old/yast2-perl-bindings-3.2.0/package/yast2-perl-bindings.spec  
2017-01-05 14:51:32.083000900 +0100
+++ new/yast2-perl-bindings-4.0.0/package/yast2-perl-bindings.spec  
2017-11-30 10:48:15.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-perl-bindings
-Version:3.2.0
+Version:4.0.0
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
diff -urN '--exclude=CVS' '--exclude=.cvsignore' 

commit yast2-users for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package yast2-users for openSUSE:Factory 
checked in at 2017-12-01 17:17:21

Comparing /work/SRC/openSUSE:Factory/yast2-users (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-users.new (New)


Package is "yast2-users"

Fri Dec  1 17:17:21 2017 rev:206 rq:546386 version:4.0.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-users/yast2-users.changes  2017-11-10 
14:43:45.413673144 +0100
+++ /work/SRC/openSUSE:Factory/.yast2-users.new/yast2-users.changes 
2017-12-01 17:17:23.207306981 +0100
@@ -1,0 +2,7 @@
+Tue Nov 28 08:14:48 UTC 2017 - knut.anders...@suse.com
+
+- AutoYaST: Write and export SSH authorized keys also for root user
+  (bsc#1066342).
+- 4.0.1
+
+---

Old:

  yast2-users-4.0.0.tar.bz2

New:

  yast2-users-4.0.1.tar.bz2



Other differences:
--
++ yast2-users.spec ++
--- /var/tmp/diff_new_pack.8a39vm/_old  2017-12-01 17:17:23.943280521 +0100
+++ /var/tmp/diff_new_pack.8a39vm/_new  2017-12-01 17:17:23.951280234 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-users
-Version:4.0.0
+Version:4.0.1
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ yast2-users-4.0.0.tar.bz2 -> yast2-users-4.0.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-users-4.0.0/package/yast2-users.changes 
new/yast2-users-4.0.1/package/yast2-users.changes
--- old/yast2-users-4.0.0/package/yast2-users.changes   2017-11-09 
09:13:15.525434386 +0100
+++ new/yast2-users-4.0.1/package/yast2-users.changes   2017-11-29 
10:33:52.779339725 +0100
@@ -1,4 +1,11 @@
 ---
+Tue Nov 28 08:14:48 UTC 2017 - knut.anders...@suse.com
+
+- AutoYaST: Write and export SSH authorized keys also for root user
+  (bsc#1066342).
+- 4.0.1
+
+---
 Wed Nov  8 12:16:47 UTC 2017 - jsr...@suse.cz
 
 - Remove the support for encrypting home directory (fate#323541)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-users-4.0.0/package/yast2-users.spec 
new/yast2-users-4.0.1/package/yast2-users.spec
--- old/yast2-users-4.0.0/package/yast2-users.spec  2017-11-09 
09:13:15.525434386 +0100
+++ new/yast2-users-4.0.1/package/yast2-users.spec  2017-11-29 
10:33:52.779339725 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-users
-Version:4.0.0
+Version:4.0.1
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-users-4.0.0/src/modules/Users.pm 
new/yast2-users-4.0.1/src/modules/Users.pm
--- old/yast2-users-4.0.0/src/modules/Users.pm  2017-11-09 09:13:15.545434386 
+0100
+++ new/yast2-users-4.0.1/src/modules/Users.pm  2017-11-29 10:33:52.791339725 
+0100
@@ -4032,6 +4032,12 @@
 SSHAuthorizedKeys->write_keys($user{"homeDirectory"});
 }
 }
+
+# Write root authorized keys(bsc#1066342)
+my %root_user = %{$modified_users{"system"}{"root"}};
+if ($root_user{"modified"} eq "imported") {
+SSHAuthorizedKeys->write_keys($root_user{"homeDirectory"});
+}
 }
 
 ##
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-users-4.0.0/src/modules/UsersPasswd.pm 
new/yast2-users-4.0.1/src/modules/UsersPasswd.pm
--- old/yast2-users-4.0.0/src/modules/UsersPasswd.pm2017-11-09 
09:13:15.545434386 +0100
+++ new/yast2-users-4.0.1/src/modules/UsersPasswd.pm2017-11-29 
10:33:52.799339725 +0100
@@ -305,6 +305,10 @@
 foreach my $user (values %{$users{"local"}}) {
   SSHAuthorizedKeys->read_keys($user->{"homeDirectory"});
 }
+
+# Read authorized keys also from root's home (bsc#1066342)
+my %root_user = %{$users{"system"}{"root"}};
+SSHAuthorizedKeys->read_keys($root_user{"homeDirectory"});
 }
 
 # actually read /etc/passwd and save into internal structure




commit yast2-core for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package yast2-core for openSUSE:Factory 
checked in at 2017-12-01 17:17:08

Comparing /work/SRC/openSUSE:Factory/yast2-core (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-core.new (New)


Package is "yast2-core"

Fri Dec  1 17:17:08 2017 rev:181 rq:546249 version:4.0.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-core/yast2-core.changes2017-10-13 
14:05:23.672441162 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-core.new/yast2-core.changes   
2017-12-01 17:17:11.971710913 +0100
@@ -1,0 +2,8 @@
+Tue Nov 28 15:08:32 UTC 2017 - jreidin...@suse.com
+
+- add jemalloc dependency for y2base which is used only in old
+  testsuite and that workarounds problem with dynamic dlopening
+  of jemalloc in ruby (bsc#1068883)
+- 4.0.1
+
+---

Old:

  yast2-core-4.0.0.tar.bz2

New:

  yast2-core-4.0.1.tar.bz2



Other differences:
--
++ yast2-core.spec ++
--- /var/tmp/diff_new_pack.BOAAWa/_old  2017-12-01 17:17:13.043672374 +0100
+++ /var/tmp/diff_new_pack.BOAAWa/_new  2017-12-01 17:17:13.059671799 +0100
@@ -27,7 +27,7 @@
 %bcond_with werror
 
 Name:   yast2-core
-Version:4.0.0
+Version:4.0.1
 Release:0
 Url:https://github.com/yast/yast-core
 
@@ -45,6 +45,8 @@
 # we have a parser
 BuildRequires:  bison
 BuildRequires:  flex
+# workaround for error when jemalloc is dlopened in ruby in old testsuite 
(bsc#1068883)
+BuildRequires:  jemalloc-devel
 # incompatible change, parser.h -> parser.hh
 BuildRequires:  automake >= 1.12
 # needed for all yast packages

++ yast2-core-4.0.0.tar.bz2 -> yast2-core-4.0.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-core-4.0.0/Dockerfile 
new/yast2-core-4.0.1/Dockerfile
--- old/yast2-core-4.0.0/Dockerfile 2017-10-11 14:32:02.487751197 +0200
+++ new/yast2-core-4.0.1/Dockerfile 2017-11-28 16:31:12.133344968 +0100
@@ -4,4 +4,5 @@
 # Remove the preinstalled yast2-core, it interferes with the built one
 # when running the tests... (huh??)
 RUN zypper --non-interactive rm yast2-core
+RUN zypper --non-interactive in jemalloc-devel
 COPY . /usr/src/app
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-core-4.0.0/base/src/Makefile.am 
new/yast2-core-4.0.1/base/src/Makefile.am
--- old/yast2-core-4.0.0/base/src/Makefile.am   2017-10-11 14:32:02.535751197 
+0200
+++ new/yast2-core-4.0.1/base/src/Makefile.am   2017-11-28 16:31:12.177344968 
+0100
@@ -24,8 +24,10 @@
 
 y2base_LDADD = ${Y2UTIL_LIBS}
 
+# -ljemalloc: workaround for error when jemalloc is dlopened in ruby in old 
testsuite (bsc#1068883)
 y2base_LDFLAGS =   \
-Xlinker --whole-archive\
+   -ljemalloc  \
$(PERL_LDFLAGS) \
$(YAST2CORE)\
-Xlinker --no-whole-archive
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-core-4.0.0/package/yast2-core.changes 
new/yast2-core-4.0.1/package/yast2-core.changes
--- old/yast2-core-4.0.0/package/yast2-core.changes 2017-10-11 
14:32:02.663751197 +0200
+++ new/yast2-core-4.0.1/package/yast2-core.changes 2017-11-28 
16:31:12.321344968 +0100
@@ -1,4 +1,12 @@
 ---
+Tue Nov 28 15:08:32 UTC 2017 - jreidin...@suse.com
+
+- add jemalloc dependency for y2base which is used only in old
+  testsuite and that workarounds problem with dynamic dlopening
+  of jemalloc in ruby (bsc#1068883)
+- 4.0.1
+
+---
 Tue Oct 10 08:34:19 UTC 2017 - mvid...@suse.com
 
 - Fixed newly uncovered warnings: Wterminate, Wint-in-bool-context,
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-core-4.0.0/package/yast2-core.spec 
new/yast2-core-4.0.1/package/yast2-core.spec
--- old/yast2-core-4.0.0/package/yast2-core.spec2017-10-11 
14:32:02.663751197 +0200
+++ new/yast2-core-4.0.1/package/yast2-core.spec2017-11-28 
16:31:12.321344968 +0100
@@ -26,7 +26,7 @@
 %bcond_with werror
 
 Name:   yast2-core
-Version:4.0.0
+Version:4.0.1
 Release:0
 Url:https://github.com/yast/yast-core
 
@@ -44,6 +44,8 @@
 # we have a parser
 BuildRequires:  bison
 BuildRequires:  flex
+# workaround for error when jemalloc is dlopened in ruby in old testsuite 
(bsc#1068883)
+BuildRequires:  jemalloc-devel
 # incompatible change, parser.h -> parser.hh
 BuildRequires:  automake >= 1.12
 # needed for all yast packages


commit yast2-registration for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package yast2-registration for 
openSUSE:Factory checked in at 2017-12-01 17:17:03

Comparing /work/SRC/openSUSE:Factory/yast2-registration (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-registration.new (New)


Package is "yast2-registration"

Fri Dec  1 17:17:03 2017 rev:6 rq:546197 version:4.0.13

Changes:

--- /work/SRC/openSUSE:Factory/yast2-registration/yast2-registration.changes
2017-10-28 14:19:50.519593561 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-registration.new/yast2-registration.changes   
2017-12-01 17:17:05.159955802 +0100
@@ -1,0 +2,18 @@
+Wed Nov 22 09:52:16 UTC 2017 - lsle...@suse.cz
+
+- AutoYaST fixes (bsc#1065438):
+  - fixed addon registration order
+  - automatically register the dependant addons
+- Preselect also the recommended beta addons, display them by
+  default even when the beta filter is active
+  (related to bsc#1056413)
+- 4.0.13
+
+---
+Wed Nov  8 14:36:05 CET 2017 - sch...@suse.de
+
+- Changed warning text if user has skipped registration.
+  (bnc#1055023)
+- 4.0.12
+
+---

Old:

  yast2-registration-4.0.10.tar.bz2

New:

  yast2-registration-4.0.13.tar.bz2



Other differences:
--
++ yast2-registration.spec ++
--- /var/tmp/diff_new_pack.xW129p/_old  2017-12-01 17:17:05.943927618 +0100
+++ /var/tmp/diff_new_pack.xW129p/_new  2017-12-01 17:17:05.947927474 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-registration
-Version:4.0.10
+Version:4.0.13
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ yast2-registration-4.0.10.tar.bz2 -> yast2-registration-4.0.13.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-registration-4.0.10/devel/dump_ay_addons.rb 
new/yast2-registration-4.0.13/devel/dump_ay_addons.rb
--- old/yast2-registration-4.0.10/devel/dump_ay_addons.rb   1970-01-01 
01:00:00.0 +0100
+++ new/yast2-registration-4.0.13/devel/dump_ay_addons.rb   2017-11-28 
11:39:05.401523664 +0100
@@ -0,0 +1,48 @@
+#! /usr/bin/ruby
+
+# This is a simple generator for creating the addons list displayed at
+# 
https://github.com/yast/yast-registration/wiki/Available-SCC-Extensions-for-Use-in-Autoyast
+# from the /var/log/YaST2/registration_addons.yml file.
+
+require "yast"
+require "registration/addon"
+require "registration/addon_sorter"
+
+require_relative "yaml_workaround"
+
+INDENT_WIDTH = 4
+
+# convert addon data to an XML document snippet
+def dump_addon(a)
+  prefix = " " * INDENT_WIDTH
+
+  ret = prefix + "\n"
+
+  ret += prefix + "\n" if a.depends_on
+
+  ret += prefix + "#{a.identifier}\n" +
+prefix + "#{a.version}\n" +
+prefix + "#{a.arch}\n"
+
+  ret += prefix + "REG_CODE_REQUIRED\n" unless a.free
+
+  ret
+end
+
+if ARGV[0]
+  addons = YAML.load_file(ARGV[0])
+  # sort the addons
+  addons.sort!(&::Registration::ADDON_SORTER)
+
+  puts ""
+  puts addons.map { |a| dump_addon(a) }.join("\n")
+  puts ""
+else
+  puts "This is a simple generator for AutoYaST addons configuration."
+  puts
+  puts "Usage: dump_ay_addons "
+  puts
+  puts "   is the addons dump file, originally stored at"
+  puts "  /var/log/YaST2/registration_addons.yml"
+  exit 1
+end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-registration-4.0.10/devel/dump_reader.rb 
new/yast2-registration-4.0.13/devel/dump_reader.rb
--- old/yast2-registration-4.0.10/devel/dump_reader.rb  2017-10-27 
15:02:16.818291893 +0200
+++ new/yast2-registration-4.0.13/devel/dump_reader.rb  2017-11-28 
11:39:05.401523664 +0100
@@ -6,28 +6,7 @@
 require "yast"
 require "registration/addon"
 
-# Monkey Patch to workaround issue in ruby 2.4 Psych (bsc#1048526)
-# when fixed or if suseconnect is changed then remove
-# (copied from test/spec_helper.rb)
-module SUSE
-  module Connect
-module Remote
-  class Product
-alias_method :initialize_orig, :initialize
-def initialize(arg = {})
-  initialize_orig(arg)
-end
-  end
-
-  class Service
-alias_method :initialize_orig, :initialize
-def initialize(arg = { "product" => {} })
-  initialize_orig(arg)
-end
-  end
-end
-  end
-end
+require_relative "yaml_workaround"
 
 INDENT_WIDTH = 2
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-registration-4.0.10/devel/yaml_workaround.rb 
new/yast2-registration-4.0.13/devel/yaml_workaround.rb
--- old/yast2-registration-4.0.10/devel/yaml_workaround.rb  1970-01-01 

commit booth for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package booth for openSUSE:Factory checked 
in at 2017-12-01 15:54:31

Comparing /work/SRC/openSUSE:Factory/booth (Old)
 and  /work/SRC/openSUSE:Factory/.booth.new (New)


Package is "booth"

Fri Dec  1 15:54:31 2017 rev:43 rq:547071 version:1.0

Changes:

--- /work/SRC/openSUSE:Factory/booth/booth.changes  2017-06-23 
09:18:58.593248682 +0200
+++ /work/SRC/openSUSE:Factory/.booth.new/booth.changes 2017-12-01 
15:55:01.741034009 +0100
@@ -1,0 +2,12 @@
+Fri Dec  1 10:50:28 UTC 2017 - ckowalc...@suse.com
+
+- Tickets: added manual tickets, which allow handling 2-site setup
+  (fate#322100)
+- Debug mode: fixed the interaction with resource agents (bsc#1046790)
+- Patch file bug-1045067_booth-fix-booth-grant-cmd.patch has been removed
+  after the code being merged to upstream:
+  * Clinet commands: fixed local IP addresses for booth grant, list,
+and peers commands (bsc#1045067)
+- Upstream version cs: d4cb8cbdaf87e46f636c3d06730b902b79bdcb9c 
+
+---

Old:

  booth-1.0+20170619.766d618.tar.bz2
  bug-1045067_booth-fix-booth-grant-cmd.patch

New:

  booth-1.0+20171123.d4cb8cb.tar.bz2



Other differences:
--
++ booth.spec ++
--- /var/tmp/diff_new_pack.7fmU46/_old  2017-12-01 15:55:02.425009396 +0100
+++ /var/tmp/diff_new_pack.7fmU46/_new  2017-12-01 15:55:02.429009252 +0100
@@ -21,7 +21,7 @@
 %bcond_with glue
 
 # local commit:
-%global commit 1.0+20170619.766d618
+%global commit 1.0+20171123.d4cb8cb
 
 %global uname hacluster
 %global gname haclient
@@ -39,7 +39,6 @@
 Url:https://github.com/ClusterLabs/booth
 Source: %{name}-%{commit}.tar.bz2
 Source1:%{name}-rpmlintrc
-Patch1: bug-1045067_booth-fix-booth-grant-cmd.patch
 BuildRequires:  asciidoc
 BuildRequires:  autoconf
 BuildRequires:  automake
@@ -78,7 +77,6 @@
 
 %prep
 %setup -q -n %{name}-%{commit}
-%patch1 -p1
 
 %build
 autoreconf -fvi

++ booth-1.0+20170619.766d618.tar.bz2 -> booth-1.0+20171123.d4cb8cb.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/booth-1.0+20170619.766d618/.git_info 
new/booth-1.0+20171123.d4cb8cb/.git_info
--- old/booth-1.0+20170619.766d618/.git_info2017-06-22 10:32:51.935559567 
+0200
+++ new/booth-1.0+20171123.d4cb8cb/.git_info2017-12-01 10:44:10.863914778 
+0100
@@ -1 +1 @@
-v1.0-114-g766d618
+v1.0-131-gd4cb8cb
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/booth-1.0+20170619.766d618/README-testing 
new/booth-1.0+20171123.d4cb8cb/README-testing
--- old/booth-1.0+20170619.766d618/README-testing   2017-06-19 
12:23:29.0 +0200
+++ new/booth-1.0+20171123.d4cb8cb/README-testing   2017-11-23 
14:07:59.0 +0100
@@ -16,9 +16,9 @@
 emulation functions.
 
 There are some restrictions on how booth.conf is formatted.
-There could be several tickets defined, but only the first ticket
-is used for testing. This ticket must have expire and timeout
-parameters configured.
+There may be several tickets defined and all of them will be
+tested, one after another (they will be tested separately).
+The tickets must have expire and timeout parameters configured.
 
 Example booth.conf:
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/booth-1.0+20170619.766d618/docs/boothd.8.txt 
new/booth-1.0+20171123.d4cb8cb/docs/boothd.8.txt
--- old/booth-1.0+20170619.766d618/docs/boothd.8.txt2017-06-19 
12:23:29.0 +0200
+++ new/booth-1.0+20171123.d4cb8cb/docs/boothd.8.txt2017-11-23 
14:07:59.0 +0100
@@ -74,6 +74,9 @@
'immediate grant': Don't wait for unreachable sites to
relinquish the ticket. See the 'Booth ticket management'
section below for more details.
+   For manual tickets this option allows to grant a ticket
+   which is currently granted. See the 'Manual tickets' section
+   below for more details.
 +
This option may be DANGEROUS. It makes booth grant the ticket
even though it cannot ascertain that unreachable sites don't
@@ -97,12 +100,11 @@
Report version information.
 
 *-S*::
-   'systemd' mode: don't fork. This is like '-D' but without the debug 
output.
+   'systemd' mode: don't fork.
+   Disables daemonizing, the process will remain in the foreground.
 
 *-D*::
-   Debug output/don't daemonize.
-   Increases the debug output level; booth daemon remains
-   in the foreground.
+   Increases the debug output level.
 
 *-l* 'lockfile'::
Use another lock file. By default, the lock file name is
@@ -367,6 +369,14 @@
 Note that there 

commit gstreamer-plugins-vaapi for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package gstreamer-plugins-vaapi for 
openSUSE:Factory checked in at 2017-12-01 15:54:33

Comparing /work/SRC/openSUSE:Factory/gstreamer-plugins-vaapi (Old)
 and  /work/SRC/openSUSE:Factory/.gstreamer-plugins-vaapi.new (New)


Package is "gstreamer-plugins-vaapi"

Fri Dec  1 15:54:33 2017 rev:20 rq:547079 version:1.12.3

Changes:

--- 
/work/SRC/openSUSE:Factory/gstreamer-plugins-vaapi/gstreamer-plugins-vaapi.changes
  2017-11-17 11:00:47.606988734 +0100
+++ 
/work/SRC/openSUSE:Factory/.gstreamer-plugins-vaapi.new/gstreamer-plugins-vaapi.changes
 2017-12-01 15:55:02.776996730 +0100
@@ -1,0 +2,6 @@
+Fri Dec  1 09:03:13 UTC 2017 - zai...@opensuse.org
+
+- Add sed hack to lower needed version of autotools to that we have
+  in Leap 42.x.
+
+---



Other differences:
--
++ gstreamer-plugins-vaapi.spec ++
--- /var/tmp/diff_new_pack.FUkpj3/_old  2017-12-01 15:55:03.380974995 +0100
+++ /var/tmp/diff_new_pack.FUkpj3/_new  2017-12-01 15:55:03.388974707 +0100
@@ -90,6 +90,8 @@
 
 %prep
 %setup -q -n gstreamer-vaapi-%{version}
+# Hack to lower min version of automake to what we ship in Leap 42.x
+sed -i "s:Wno-portability 1.14 no-dist:Wno-portability 1.13.4 no-dist:g" 
configure.ac
 %patch0 -p1
 
 %build




commit Photini for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package Photini for openSUSE:Factory checked 
in at 2017-12-01 15:54:26

Comparing /work/SRC/openSUSE:Factory/Photini (Old)
 and  /work/SRC/openSUSE:Factory/.Photini.new (New)


Package is "Photini"

Fri Dec  1 15:54:26 2017 rev:6 rq:547045 version:2017.12.0

Changes:

--- /work/SRC/openSUSE:Factory/Photini/Photini.changes  2017-10-05 
12:02:51.158264577 +0200
+++ /work/SRC/openSUSE:Factory/.Photini.new/Photini.changes 2017-12-01 
15:54:47.505546274 +0100
@@ -1,0 +2,10 @@
+Fri Dec  1 10:29:26 UTC 2017 - aloi...@gmx.com
+
+- Update to 2017.12.0
+  * Add 'rating' to descriptive tab.
+  * Don't try to upload files over 1 GByte to Flickr.
+  * Fix bug with thembnails of portrait format images.
+
+- Spec cleanup
+
+---

Old:

  Photini-2017.10.0.tar.gz

New:

  Photini-2017.12.0.tar.gz



Other differences:
--
++ Photini.spec ++
--- /var/tmp/diff_new_pack.7QUoaE/_old  2017-12-01 15:54:57.737178088 +0100
+++ /var/tmp/diff_new_pack.7QUoaE/_new  2017-12-01 15:54:57.737178088 +0100
@@ -17,12 +17,12 @@
 
 
 Name:   Photini
-Version:2017.10.0
+Version:2017.12.0
 Release:0
 Summary:Digital photograph metadata (EXIF, IPTC, XMP) editing 
application
 License:GPL-3.0+
 Group:  Productivity/Graphics/Other
-Url:https://github.com/jim-easterbrook/Photini
+URL:https://github.com/jim-easterbrook/Photini
 Source0:
https://github.com/jim-easterbrook/Photini/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
 BuildRequires:  ImageMagick
 BuildRequires:  fdupes
@@ -38,7 +38,6 @@
 Requires:   python3-sip
 Requires:   python3-six >= 1.5
 Requires:   typelib(GExiv2)
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 
 %description
@@ -73,8 +72,8 @@
 %fdupes -s %{buildroot}
 
 %files
-%defattr(-,root,root)
-%doc CHANGELOG.txt LICENSE.txt README.rst
+%doc CHANGELOG.txt README.rst
+%license LICENSE.txt
 %{_bindir}/photini
 %{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info
 %{python3_sitelib}/photini

++ Photini-2017.10.0.tar.gz -> Photini-2017.12.0.tar.gz ++
 7499 lines of diff (skipped)




commit monitoring-plugins-zypper for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package monitoring-plugins-zypper for 
openSUSE:Factory checked in at 2017-12-01 15:54:28

Comparing /work/SRC/openSUSE:Factory/monitoring-plugins-zypper (Old)
 and  /work/SRC/openSUSE:Factory/.monitoring-plugins-zypper.new (New)


Package is "monitoring-plugins-zypper"

Fri Dec  1 15:54:28 2017 rev:11 rq:547050 version:1.93

Changes:

--- 
/work/SRC/openSUSE:Factory/monitoring-plugins-zypper/monitoring-plugins-zypper.changes
  2017-07-02 13:38:17.662078833 +0200
+++ 
/work/SRC/openSUSE:Factory/.monitoring-plugins-zypper.new/monitoring-plugins-zypper.changes
 2017-12-01 15:55:00.429081219 +0100
@@ -1,0 +2,17 @@
+Fri Nov 24 11:05:40 CET 2017 - r...@suse.de
+
+- move restart stuff from post to postun where it belongs
+- use proper macros for systemd restart 
+
+---
+Tue Oct 10 09:14:23 UTC 2017 - l...@linux-schulserver.de
+
+- update to 1.93
+  + remove unsupported openSUSE 42.1 and SLE-10-SP4
+
+---
+Tue Jul 25 18:02:13 CEST 2017 - r...@suse.de
+
+- use systemctl for try-restart call for apparmor in postinstall
+
+---



Other differences:
--
++ monitoring-plugins-zypper.spec ++
--- /var/tmp/diff_new_pack.w8HlAg/_old  2017-12-01 15:55:01.201053440 +0100
+++ /var/tmp/diff_new_pack.w8HlAg/_new  2017-12-01 15:55:01.201053440 +0100
@@ -26,7 +26,7 @@
 Summary:Check for software updates via zypper
 License:BSD-3-Clause
 Group:  System/Monitoring
-Version:1.92
+Version:1.93
 Release:0
 Url:http://en.opensuse.org/Monitoring-plugins-zypper
 Source0:check_zypper.pl
@@ -111,8 +111,12 @@
 %clean
 rm -rf %buildroot
 
-%post
-%{_sysconfdir}/init.d/boot.apparmor try-restart || echo "restarting 
boot.apparmor failed" >&2
+%postun
+%if %{with_systemd}
+%service_del_postun apparmor.service
+%else
+%{restart_on_update boot.apparmor}
+%endif
 
 %files 
 %defattr(-,root,root)

++ check_zypper.pl ++
--- /var/tmp/diff_new_pack.w8HlAg/_old  2017-12-01 15:55:01.285050417 +0100
+++ /var/tmp/diff_new_pack.w8HlAg/_new  2017-12-01 15:55:01.289050273 +0100
@@ -51,7 +51,7 @@
 
 # constants
 $PROGNAME = "check_zypper";
-$VERSION  = '1.92';
+$VERSION  = '1.93';
 $DEBUG= 0;
 
 # variables
@@ -93,8 +93,8 @@
 0 => 'OK',
 );
 our %supported_release = (
-'openSUSE'   => [ '42.1', '42.2', '42.3' ],
-'SLE'=> [ '10.4', '11.4', '12.2', '12.3' ],
+'openSUSE'   => [ '42.2', '42.3' ],
+'SLE'=> [ '11.4', '12.2', '12.3' ],
 'Tumbleweed' => ['2017*'],
 );
 $opt_w = 'recommended,optional,unsupported,local_package';




commit scamper for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package scamper for openSUSE:Factory checked 
in at 2017-12-01 15:54:16

Comparing /work/SRC/openSUSE:Factory/scamper (Old)
 and  /work/SRC/openSUSE:Factory/.scamper.new (New)


Package is "scamper"

Fri Dec  1 15:54:16 2017 rev:3 rq:546902 version:20170822

Changes:

--- /work/SRC/openSUSE:Factory/scamper/scamper.changes  2017-08-24 
18:56:52.175650495 +0200
+++ /work/SRC/openSUSE:Factory/.scamper.new/scamper.changes 2017-12-01 
15:54:33.910035510 +0100
@@ -1,0 +2,5 @@
+Thu Nov 30 21:22:24 UTC 2017 - sebix+novell@sebix.at
+
+- add patch new-openssl.patch to compile with new openssl versions
+
+---

New:

  new-openssl.patch



Other differences:
--
++ scamper.spec ++
--- /var/tmp/diff_new_pack.ge9Qog/_old  2017-12-01 15:54:34.606010465 +0100
+++ /var/tmp/diff_new_pack.ge9Qog/_new  2017-12-01 15:54:34.610010321 +0100
@@ -25,6 +25,8 @@
 Group:  Productivity/Networking/Diagnostic
 Url:https://www.caida.org/tools/measurement/scamper/
 Source: 
https://www.caida.org/tools/measurement/%{name}/code/%{name}-cvs-%{version}.tar.gz
+# PATCH-FIX-UPSTREAM new-openssl.patch -- from developer, new release will 
come soon
+Patch0: new-openssl.patch
 BuildRequires:  libopenssl-devel
 BuildRequires:  pkgconfig
 
@@ -73,6 +75,7 @@
 
 %prep
 %setup -q -n %{name}-cvs-%{version}
+%patch0
 
 %build
 %configure --disable-static

++ new-openssl.patch ++
Index: scamper/scamper_control.c
===
RCS file: /home/mjl/cvsroot/scamper/scamper/scamper_control.c,v
retrieving revision 1.194
diff -u -p -r1.194 scamper_control.c
--- scamper/scamper_control.c   12 Jul 2017 07:23:15 -  1.194
+++ scamper/scamper_control.c   30 Nov 2017 21:01:56 -
@@ -2495,6 +2495,7 @@ static int remote_sock_ssl_init(control_
  * it is based on post_connection_check in "Network Security with
  * OpenSSL" by John Viega, Matt Messier, and Pravir Chandra.
  */
+#if !defined(OPENSSL_VERSION_NUMBER) || OPENSSL_VERSION_NUMBER < 0x1010L
 static int remote_sock_is_valid_cert(control_remote_t *rm)
 {
   X509 *cert = NULL;
@@ -2562,6 +2563,7 @@ static int remote_sock_is_valid_cert(con
   if(cert != NULL) X509_free(cert);
   return rc;
 }
+#endif /* OpenSSL version < 1.1.0 */
 #endif
 
 /*
@@ -2963,8 +2965,10 @@ static int remote_read_sock(control_remo
  if(SSL_is_init_finished(rm->ssl) != 0 ||
 (rc = SSL_do_handshake(rm->ssl)) > 0)
{
+#if !defined(OPENSSL_VERSION_NUMBER) || OPENSSL_VERSION_NUMBER < 0x1010L
  if(remote_sock_is_valid_cert(rm) == 0)
return -1;
+#endif
  rm->mode = SSL_MODE_ESTABLISHED;
}
  if(remote_sock_ssl_want_read(rm) < 0)
@@ -3296,6 +3300,11 @@ int scamper_control_add_remote(const cha
 {
   uint32_t u32;
 
+#if defined(HAVE_OPENSSL) && \
+  defined(OPENSSL_VERSION_NUMBER) && OPENSSL_VERSION_NUMBER >= 0x1010L
+  X509_VERIFY_PARAM *param = NULL;
+#endif
+
   if((ctrl_rem = malloc_zero(sizeof(control_remote_t))) == NULL ||
  (ctrl_rem->list = dlist_alloc()) == NULL ||
  (ctrl_rem->sq = scamper_queue_alloc(NULL)) == NULL)
@@ -3316,6 +3325,14 @@ int scamper_control_add_remote(const cha
}
   SSL_CTX_set_options(tls_ctx,
  SSL_OP_NO_SSLv2 | SSL_OP_NO_SSLv3 | SSL_OP_NO_TLSv1);
+
+#if defined(OPENSSL_VERSION_NUMBER) && OPENSSL_VERSION_NUMBER >= 0x1010L
+  param = SSL_CTX_get0_param(tls_ctx);
+  X509_VERIFY_PARAM_set_hostflags(param,
+ X509_CHECK_FLAG_NO_PARTIAL_WILDCARDS);
+  X509_VERIFY_PARAM_set1_host(param, name, 0);
+#endif
+
   SSL_CTX_set_verify(tls_ctx, SSL_VERIFY_PEER, NULL);
 
   /* load the default set of certs into the SSL context */



commit mksh for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package mksh for openSUSE:Factory checked in 
at 2017-12-01 15:54:14

Comparing /work/SRC/openSUSE:Factory/mksh (Old)
 and  /work/SRC/openSUSE:Factory/.mksh.new (New)


Package is "mksh"

Fri Dec  1 15:54:14 2017 rev:15 rq:546900 version:54

Changes:

--- /work/SRC/openSUSE:Factory/mksh/mksh.changes2017-11-14 
13:06:12.311240932 +0100
+++ /work/SRC/openSUSE:Factory/.mksh.new/mksh.changes   2017-12-01 
15:54:33.126063721 +0100
@@ -1,0 +2,6 @@
+Wed Nov 22 11:44:24 UTC 2017 - wer...@suse.de
+
+- Do not change Build.sh for not using hard coded list of signals
+  and errors but the cpp macros for this (requested by upstream) 
+
+---



Other differences:
--
++ mksh.spec ++
--- /var/tmp/diff_new_pack.4gn4nL/_old  2017-12-01 15:54:33.766040692 +0100
+++ /var/tmp/diff_new_pack.4gn4nL/_new  2017-12-01 15:54:33.770040548 +0100
@@ -36,6 +36,7 @@
 BuildRequires:  screen
 BuildRequires:  sed
 BuildRequires:  update-alternatives
+BuildRequires:  virt-what
 %if 0%{?suse_version} >= 1315
 # replaces pdksh in openSUSE >= 13.2 and SLES >= 12
 Provides:   pdksh = %{version}
@@ -64,7 +65,7 @@
 %patch0 -p1 -b .p0
 
 %if 0%{?suse_version} > 0
-%if %{suse_version} == 1315
+%if !0%{?is_opensuse}
 ed -s sh.h <<-'EOF'
,s/#define MKSH_VERSION "R\([^"]*\)"/#define MKSH_VERSION "R\1 SLES"/
w
@@ -93,27 +94,31 @@
 if grep -q _DEFAULT_SOURCE /usr/include/features.h ; then
 ed -s Build.sh <<-'EOF'
/^Linux)/
-   /-D_GNU_SOURCE/s/\(add_cppflags\s\)-D_GNU_SOURCE/\1 -D_GNU_SOURCE 
-D_DEFAULT_SOURCE/
+   /-D_GNU_SOURCE/s/\(add_cppflags\s\)-D_GNU_SOURCE/\1-D_GNU_SOURCE 
-D_DEFAULT_SOURCE/
w
EOF
 fi
 
+ln -s . examples
+
+%build
+echo "Build system: Virt '$(virt-what)' -- '$(uname -a)'"
 #
 # sys_errlist and sys_siglist *are* deprecated
+# Be aware of the _SYS_SIGLIST and _SYS_ERRLIST macros as well
 #
-ed -s Build.sh <<-'EOF'
-   /^ac_test strerror/s/\(strerror\).*\( <<\)/\1\2/
-   /^ac_test strsignal/s/\(strsignal\).*\( <<\)/\1\2/
-   w
-   EOF
-ed -s histrap.c <<-'EOF'
-   /^#if HAVE_SYS_SIGLIST/s/HAVE_SYS_SIGLIST/0/
-   w
-   EOF
-
-ln -s . examples
+HAVE_SYS_SIGLIST=0
+HAVE_SYS_ERRLIST=0
+HAVE__SYS_SIGLIST=0
+HAVE__SYS_ERRLIST=0
+export HAVE_SYS_SIGLIST HAVE_SYS_ERRLIST HAVE__SYS_SIGLIST HAVE__SYS_ERRLIST
 
-%build
+#
+# -ftree-loop-linear
+#Perform loop nest optimizations.  Same as -floop-nest-optimize.
+#To use this code transformation, GCC has to be configured with
+#--with-isl to enable the Graphite loop transformation infrastructure.
+#
 export CC=gcc
 if $CC -Werror -ftree-loop-linear -S -o /dev/null -xc /dev/null > /dev/null 
2>&1
 then
@@ -121,6 +126,10 @@
 else
 export CFLAGS='%{optflags} -Wuninitialized -Wall -Wextra -pipe'
 fi
+case "$(uname -m)" in
+ppc64)   CFLAGS="$CFLAGS -mbig-endian -mcpu=power4"  ;;
+ppc64le) CFLAGS="$CFLAGS -mtune=power8 -mcpu=power8" ;;
+esac
 export CPPFLAGS='-DMKSH_VENDOR_MKSHRC_PATH=\"/etc/mkshrc\"'
 export LDFLAGS='-Wl,--as-needed -Wl,-O2'
 # filter compiler warnings and errors from configuration tests
@@ -173,6 +182,8 @@
 %endif
 
 %check
+# should always run in a clean environment as otherwise
+# tests might fail due wrong line numbering
 SCREENDIR=$(mktemp -d ${PWD}/screen.XX) || exit 1
 trap 'rm -rf $SCREENDIR' EXIT
 SCREENRC=${SCREENDIR}/mksh




commit urh for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package urh for openSUSE:Factory checked in 
at 2017-12-01 15:54:17

Comparing /work/SRC/openSUSE:Factory/urh (Old)
 and  /work/SRC/openSUSE:Factory/.urh.new (New)


Package is "urh"

Fri Dec  1 15:54:17 2017 rev:5 rq:546941 version:1.8.16

Changes:

--- /work/SRC/openSUSE:Factory/urh/urh.changes  2017-11-27 22:17:45.224066337 
+0100
+++ /work/SRC/openSUSE:Factory/.urh.new/urh.changes 2017-12-01 
15:54:36.541940800 +0100
@@ -1,0 +2,15 @@
+Thu Nov 30 17:21:04 UTC 2017 - mar...@gmx.de
+
+- Update to version 1.8.16
+  * This release fixes an issue on Windows where processes ended
+with an error.
+  * The NetworkSDR can now be used in continuous send mode
+
+---
+Mon Nov 27 20:32:14 UTC 2017 - mar...@gmx.de
+
+- Update to version 1.8.15
+  * This release fixes a problem mentioned in #366 and #368
+with GNU Radio backend on Windows.
+
+---

Old:

  urh-1.8.14.tar.gz

New:

  urh-1.8.16.tar.gz



Other differences:
--
++ urh.spec ++
--- /var/tmp/diff_new_pack.nkVoo9/_old  2017-12-01 15:54:37.609902370 +0100
+++ /var/tmp/diff_new_pack.nkVoo9/_new  2017-12-01 15:54:37.613902226 +0100
@@ -18,7 +18,7 @@
 
 
 Name:   urh
-Version:1.8.14
+Version:1.8.16
 Release:0
 Summary:Tool for investigating unknown wireless protocols
 License:Apache-2.0 AND GPL-2.0

++ urh-1.8.14.tar.gz -> urh-1.8.16.tar.gz ++
/work/SRC/openSUSE:Factory/urh/urh-1.8.14.tar.gz 
/work/SRC/openSUSE:Factory/.urh.new/urh-1.8.16.tar.gz differ: char 13, line 1




commit vidcutter for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package vidcutter for openSUSE:Factory 
checked in at 2017-12-01 15:54:10

Comparing /work/SRC/openSUSE:Factory/vidcutter (Old)
 and  /work/SRC/openSUSE:Factory/.vidcutter.new (New)


Package is "vidcutter"

Fri Dec  1 15:54:10 2017 rev:7 rq:546797 version:5.0.5

Changes:

--- /work/SRC/openSUSE:Factory/vidcutter/vidcutter.changes  2017-11-30 
12:46:02.224510406 +0100
+++ /work/SRC/openSUSE:Factory/.vidcutter.new/vidcutter.changes 2017-12-01 
15:54:30.962141591 +0100
@@ -1,0 +2,12 @@
+Thu Nov 30 11:50:36 UTC 2017 - aloi...@gmx.com
+
+- Update to version 5.0.5
+  * Removal of Python 3 OpenGL module to allow app to work on
+Linux distros containing older 3.0.1 versions of the module.
+The dependency on python3-opengl has now been removed and
+was only necessary for Ubuntu users on Vivid due to a broken
+PyQt5 OpenGL implementation in the core PyOpenGL package.
+Vivid is no longer a supported distro version so it should be
+okay to omit on a permanent basis.
+
+---

Old:

  vidcutter-5.0.0.tar.gz

New:

  vidcutter-5.0.5.tar.gz



Other differences:
--
++ vidcutter.spec ++
--- /var/tmp/diff_new_pack.FHLllt/_old  2017-12-01 15:54:31.658116546 +0100
+++ /var/tmp/diff_new_pack.FHLllt/_new  2017-12-01 15:54:31.658116546 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   vidcutter
-Version:5.0.0
+Version:5.0.5
 Release:0
 Summary:Video cutter and joiner
 License:GPL-3.0+
@@ -34,7 +34,6 @@
 Requires:   ffmpeg
 Requires:   libmpv1
 Requires:   mediainfo
-Requires:   python3-opengl
 Requires:   python3-qt5
 Requires:   python3-typing
 %if 0%{?suse_version} <= 1320

++ vidcutter-5.0.0.tar.gz -> vidcutter-5.0.5.tar.gz ++
/work/SRC/openSUSE:Factory/vidcutter/vidcutter-5.0.0.tar.gz 
/work/SRC/openSUSE:Factory/.vidcutter.new/vidcutter-5.0.5.tar.gz differ: char 
13, line 1




commit ntpsec for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package ntpsec for openSUSE:Factory checked 
in at 2017-12-01 15:53:57

Comparing /work/SRC/openSUSE:Factory/ntpsec (Old)
 and  /work/SRC/openSUSE:Factory/.ntpsec.new (New)


Package is "ntpsec"

Fri Dec  1 15:53:57 2017 rev:7 rq:546706 version:1.0.0

Changes:

--- /work/SRC/openSUSE:Factory/ntpsec/ntpsec.changes2017-11-25 
08:44:18.974634863 +0100
+++ /work/SRC/openSUSE:Factory/.ntpsec.new/ntpsec.changes   2017-12-01 
15:54:12.122819527 +0100
@@ -1,0 +2,5 @@
+Tue Nov 28 15:40:51 UTC 2017 - mplus...@suse.com
+
+- Switch to python3
+
+---



Other differences:
--
++ ntpsec.spec ++
--- /var/tmp/diff_new_pack.am37vo/_old  2017-12-01 15:54:24.646368865 +0100
+++ /var/tmp/diff_new_pack.am37vo/_new  2017-12-01 15:54:24.646368865 +0100
@@ -17,11 +17,6 @@
 #
 
 
-%if 0%{?suse_version} >= 1320 || 0%{?is_opensuse}
-%bcond_without libbsd
-%else
-%bcond_with libbsd
-%endif
 Name:   ntpsec
 Version:1.0.0
 Release:0
@@ -48,9 +43,10 @@
 BuildRequires:  openssl-devel
 BuildRequires:  pkgconfig
 BuildRequires:  pps-tools-devel
+BuildRequires:  pkgconfig(libbsd)
 BuildRequires:  pkgconfig(libevent)
 BuildRequires:  pkgconfig(libseccomp)
-BuildRequires:  pkgconfig(python2)
+BuildRequires:  pkgconfig(python3)
 Requires:   netcfg
 Requires:   ntpsec-utils
 Requires(pre):  pwdutils
@@ -59,21 +55,16 @@
 Recommends: wget
 Conflicts:  otherproviders(ntp-daemon)
 Provides:   ntp-daemon
-%if %{with libbsd}
-BuildRequires:  pkgconfig(libbsd)
-%endif
 
 %description
 A more secure implementation of NTP, derived from NTP Classic, Dave
 Mills’s original.
 
-%package -n python2-ntp
+%package -n python3-ntp
 Summary:Python ntpsec bindings
 Group:  Development/Languages/Python
-Provides:   python-ntp = %{version}
-Obsoletes:  python-ntp < %{version}
 
-%description -n python2-ntp
+%description -n python3-ntp
 The ntpsec python bindings used by various ntp utilities.
 
 %package utils
@@ -81,10 +72,10 @@
 Group:  System/Base
 Requires:   %{name} = %{version}
 # For ntploggps
-Requires:   python2-gpsd
-Requires:   python2-ntp
+Requires:   python3-gpsd
+Requires:   python3-ntp
 # For ntpviz
-Recommends: python2-psutil
+Recommends: python3-psutil
 # Same binaries
 Conflicts:  ntp
 
@@ -94,7 +85,7 @@
 %prep
 %setup -q
 # Fix python shebangs
-sed -i -e 's:#!%{_bindir}/env python:#!%{_bindir}/python2:' \
+sed -i -e 's:#!%{_bindir}/env python:#!%{_bindir}/python3:' \
 ntpclients/*
 
 %build
@@ -103,14 +94,14 @@
 
 export CFLAGS="%{optflags}"
 export CCFLAGS="%{optflags}"
-python2 ./waf configure \
+python3 ./waf configure \
 --build-epoch="$epoch" \
 --enable-debug \
 --prefix=%{_prefix} \
 --mandir="%{_mandir}" \
---python=%{_bindir}/python2 \
---pythonarchdir=%{python_sitearch} \
---pythondir=%{python_sitearch} \
+--python=%{_bindir}/python3 \
+--pythonarchdir=%{python3_sitearch} \
+--pythondir=%{python3_sitearch} \
 --enable-seccomp \
 --enable-debug-gdb \
 --enable-early-droproot \
@@ -118,28 +109,28 @@
 --enable-mssntp \
 --enable-lockclock \
 --refclock=all
-python2 ./waf build --verbose %{?_smp_mflags}
+python3 ./waf build --verbose %{?_smp_mflags}
 
 %install
-python2 ./waf install --destdir=%{buildroot}
+python3 ./waf install --destdir=%{buildroot}
 
 # Use correct path in unit file
 sed -i "s|bin|sbin|g" etc/ntpd.service
 
 # FIXME: As long as systemdenable switch for install is broken
-install -m 0644 -D etc/ntpd.service %{buildroot}/%{_unitdir}/ntpd.service
-install -m 0644 -D etc/ntp-wait.service 
%{buildroot}/%{_unitdir}/ntp-wait.service
+install -pm 0644 -D etc/ntpd.service %{buildroot}/%{_unitdir}/ntpd.service
+install -pm 0644 -D etc/ntp-wait.service 
%{buildroot}/%{_unitdir}/ntp-wait.service
 ln -s service %{buildroot}%{_sbindir}/rcntpd
 ln -s service %{buildroot}%{_sbindir}/rcntp-wait
 
-install -m 0644 -D %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/ntp
-install -m 0644 -D %{SOURCE7} 
%{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/ntp
-install -m 0644 -D %{SOURCE8} %{buildroot}%{_sysconfdir}/ntp.conf
+install -pm 0644 -D %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/ntp
+install -pm 0644 -D %{SOURCE7} 
%{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/ntp
+install -pm 0644 -D %{SOURCE8} %{buildroot}%{_sysconfdir}/ntp.conf
 
 %fdupes -s %{buildroot}
 
 %check
-./waf check --verbose %{?_smp_mflags}
+python3 ./waf check --verbose %{?_smp_mflags}
 
 %pre
 getent group ntp >/dev/null || groupadd -r ntp
@@ -168,8 +159,8 @@
 %postun utils
 

commit nvmetcli for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package nvmetcli for openSUSE:Factory 
checked in at 2017-12-01 15:54:20

Comparing /work/SRC/openSUSE:Factory/nvmetcli (Old)
 and  /work/SRC/openSUSE:Factory/.nvmetcli.new (New)


Package is "nvmetcli"

Fri Dec  1 15:54:20 2017 rev:6 rq:546971 version:0.5

Changes:

--- /work/SRC/openSUSE:Factory/nvmetcli/nvmetcli.changes2017-08-12 
20:28:01.397127014 +0200
+++ /work/SRC/openSUSE:Factory/.nvmetcli.new/nvmetcli.changes   2017-12-01 
15:54:38.197881211 +0100
@@ -1,0 +2,6 @@
+Fri Dec  1 09:34:11 UTC 2017 - jthumsh...@suse.com
+
+- Don't display bogus 'disabled' status for ports (bsc#1070533)
+  + 0001-nvmetcli-remove-status-method-for-the-uiportnode.patch
+
+---

New:

  0001-nvmetcli-remove-status-method-for-the-uiportnode.patch



Other differences:
--
++ nvmetcli.spec ++
--- /var/tmp/diff_new_pack.D2e3aA/_old  2017-12-01 15:54:38.869857030 +0100
+++ /var/tmp/diff_new_pack.D2e3aA/_new  2017-12-01 15:54:38.877856742 +0100
@@ -24,6 +24,7 @@
 Group:  System/Management
 Url:http://git.infradead.org/users/hch/nvmetcli.git
 Source: nvmetcli-v%{version}.tar.gz
+Patch1: 0001-nvmetcli-remove-status-method-for-the-uiportnode.patch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 Requires:   python-configshell-fb
@@ -42,6 +43,7 @@
 
 %prep
 %setup -q -n nvmetcli-v%{version}
+%patch1 -p1
 
 %build
 python setup.py build

++ 0001-nvmetcli-remove-status-method-for-the-uiportnode.patch ++
From: Johannes Thumshirn 
Date: Thu, 30 Nov 2017 11:27:23 +0100
Subject: nvmetcli: remove status method for the UIPortNode
Git-commit: 69182535c1df21c8cc2d0be4e5b4229f32a057e8
Patch-mainline: v0.6
References: bsc#1070533


nvmetcli defines a status method for the UIPortNode class but there is
no corresponding 'enable' file in configfs so typing in status will
always result in nvmetcli printing disbaled if one types 'status' in
the port node:

/> cd ports/1/
/ports/1> status
Status for /ports/1: disabled
/ports/1>

There are two possible ways for fixing this issue, provide a configfs
file to enable/disable the port node in the kernel or delete the
method in nvmetcli. Having a configfs file in the kernel is pointless,
as ports get enabled when symlinked to a namespace so zap the pointless status
method in user-space.

Signed-off-by: Johannes Thumshirn 
Reported-by: Hannes Reinecke 
Signed-off-by: Christoph Hellwig 
---
 nvmetcli | 5 -
 1 file changed, 5 deletions(-)

diff --git a/nvmetcli b/nvmetcli
index 5378365eb91f..4fbc12ec430f 100755
--- a/nvmetcli
+++ b/nvmetcli
@@ -356,11 +356,6 @@ class UIPortNode(UINode):
 UIPortSubsystemsNode(self)
 UIReferralsNode(self)
 
-def status(self):
-if self.cfnode.get_enable():
-return "enabled"
-return "disabled"
-
 
 class UIPortSubsystemsNode(UINode):
 def __init__(self, parent):
-- 
2.13.6




commit pam_ssh for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package pam_ssh for openSUSE:Factory checked 
in at 2017-12-01 15:54:24

Comparing /work/SRC/openSUSE:Factory/pam_ssh (Old)
 and  /work/SRC/openSUSE:Factory/.pam_ssh.new (New)


Package is "pam_ssh"

Fri Dec  1 15:54:24 2017 rev:30 rq:547009 version:2.1

Changes:

--- /work/SRC/openSUSE:Factory/pam_ssh/pam_ssh.changes  2015-06-11 
09:10:39.0 +0200
+++ /work/SRC/openSUSE:Factory/.pam_ssh.new/pam_ssh.changes 2017-12-01 
15:54:40.537797009 +0100
@@ -1,0 +2,14 @@
+Fri Dec  1 10:02:21 UTC 2017 - dims...@opensuse.org
+
+- Explicitly call autoreconf: an implicit call requires the same
+  version automake/autoconf to be present that was used to
+  originally bootstrap the tarball (version 1.13).
+
+---
+Thu Nov 30 14:52:54 UTC 2017 - vci...@suse.com
+
+- Add support for building with OpenSSL 1.1 (bsc#1066988)
+  * partly based on https://github.com/openssh/openssh-portable/pull/48
+  * add pam_ssh-openssl11.patch
+
+---

New:

  pam_ssh-openssl11.patch



Other differences:
--
++ pam_ssh.spec ++
--- /var/tmp/diff_new_pack.lUCmH5/_old  2017-12-01 15:54:41.081777434 +0100
+++ /var/tmp/diff_new_pack.lUCmH5/_new  2017-12-01 15:54:41.081777434 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package pam_ssh
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -27,6 +27,7 @@
 Source1:
http://sourceforge.net/projects/pam-ssh/files/pam_ssh/%{version}/%{name}-%{version}.tar.xz.asc
 Source2:baselibs.conf
 Source3:%{name}.keyring
+Patch1: pam_ssh-openssl11.patch
 BuildRequires:  libtool
 BuildRequires:  openssh
 BuildRequires:  openssl-devel
@@ -42,8 +43,13 @@
 
 %prep
 %setup -q
+if pkg-config --atleast-version=1.1 openssl; then
+%patch1 -p1
+fi
 
 %build
+# Needed for patch1, but does not hurt in non-patched cases
+autoreconf -fiv
 export CFLAGS="%{optflags} -fno-strict-aliasing"
 %configure --libdir=/%{_lib}
 make %{?_smp_mflags}


++ pam_ssh-openssl11.patch ++
 1277 lines (skipped)




commit icedtea-web for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package icedtea-web for openSUSE:Factory 
checked in at 2017-12-01 15:53:53

Comparing /work/SRC/openSUSE:Factory/icedtea-web (Old)
 and  /work/SRC/openSUSE:Factory/.icedtea-web.new (New)


Package is "icedtea-web"

Fri Dec  1 15:53:53 2017 rev:23 rq:546702 version:1.7

Changes:

--- /work/SRC/openSUSE:Factory/icedtea-web/icedtea-web.changes  2017-11-15 
17:03:50.610755593 +0100
+++ /work/SRC/openSUSE:Factory/.icedtea-web.new/icedtea-web.changes 
2017-12-01 15:54:11.226851769 +0100
@@ -1,0 +2,7 @@
+Thu Nov 23 11:22:54 UTC 2017 - fst...@suse.com
+
+- Modified patch:
+  * icedtea-web-jdk10.patch
++ more future-proof determination of java version
+
+---



Other differences:
--
++ icedtea-web-jdk10.patch ++
--- /var/tmp/diff_new_pack.xiMUlX/_old  2017-12-01 15:54:12.006823701 +0100
+++ /var/tmp/diff_new_pack.xiMUlX/_new  2017-12-01 15:54:12.006823701 +0100
@@ -1,46 +1,63 @@
 diff -r 676a6ba5bc31 acinclude.m4
 --- a/acinclude.m4 Mon Sep 25 18:05:33 2017 +0200
-+++ b/acinclude.m4 Tue Nov 14 10:08:22 2017 +0100
-@@ -798,7 +798,7 @@
-   JAVA_VERSION=`$JAVA -version 2>&1`
 b/acinclude.m4 Thu Nov 23 11:56:40 2017 +0100
+@@ -795,10 +795,16 @@
+ [
+   AC_REQUIRE([IT_FIND_JAVA])
+   AC_MSG_CHECKING([JDK version])
+-  JAVA_VERSION=`$JAVA -version 2>&1`
++  JAVA_VERSION=`$JAVA -version 2>&1 | head -n 1 | cut -d'-' -f1 | cut -d'"' 
-f2 | cut -d'.' -f1`
++  if test "${JAVA_VERSION}" -eq "1"; then
++JAVA_VERSION=`$JAVA -version 2>&1 | head -n 1 | cut -d'-' -f1 | cut -d'"' 
-f2 | cut -d'.' -f2`
++  fi
AC_MSG_RESULT($JAVA_VERSION)
-   HAVE_JAVA8=`if echo $JAVA_VERSION | grep -q -e 1.8.0 ; then echo yes ; fi`
+-  HAVE_JAVA8=`if echo $JAVA_VERSION | grep -q -e 1.8.0 ; then echo yes ; fi`
 -  HAVE_JAVA9=`if echo $JAVA_VERSION | grep -q -e 1.9.0 -e \"9 -e "build 9" ; 
then echo yes ; fi `
-+  HAVE_JAVA9=`if echo $JAVA_VERSION | grep -q -e \"9 -e "build 9" -e \"10 -e 
"build 10" ; then echo yes ; fi `
++  if test "${JAVA_VERSION}" -eq "8"; then
++HAVE_JAVA8="yes"
++  elif test "$JAVA_VERSION" -ge "9"; then
++HAVE_JAVA9="yes"
++  fi
if test -z "$HAVE_JAVA8" -a -z "$HAVE_JAVA9"; then
  AC_MSG_ERROR([JDK8 or newer is required, detected was: $JAVA_VERSION])
fi
 diff -r 676a6ba5bc31 launcher/launchers.in
 --- a/launcher/launchers.inMon Sep 25 18:05:33 2017 +0200
-+++ b/launcher/launchers.inTue Nov 14 10:08:22 2017 +0100
-@@ -38,10 +38,14 @@
 b/launcher/launchers.inThu Nov 23 11:56:40 2017 +0100
+@@ -38,7 +38,11 @@
  fi;
  
  JDK9="NO"
 -if ${JAVA} -version 2>&1 | grep -q "version \"9-" ; then
-+if ${JAVA} -version 2>&1 | grep -q "version \"9" ; then
-+  JDK9="YES"
-+elif ${JAVA} -version 2>&1 | grep -q "version \"10" ; then
++version=`${JAVA} -version 2>&1 | head -n 1 | cut -d'-' -f1 | cut -d'"' -f2 | 
cut -d'.' -f1`
++if [ $version -eq "1" ]; then
++  version=`${JAVA} -version 2>&1 | head -n 1 | cut -d'-' -f1 | cut -d'"' -f2 
| cut -d'.' -f2`
++fi
++if [ $version -ge "9" ]; then
JDK9="YES"
  fi
  
-+echo "Is JDK9+? $JDK9"
-+
- JAVA_ARGS=( )
- ARGS=( )
- COMMAND=()
 diff -r 676a6ba5bc31 plugin/icedteanp/IcedTeaNPPlugin.cc
 --- a/plugin/icedteanp/IcedTeaNPPlugin.cc  Mon Sep 25 18:05:33 2017 +0200
-+++ b/plugin/icedteanp/IcedTeaNPPlugin.cc  Tue Nov 14 10:08:22 2017 +0100
-@@ -1562,8 +1562,9 @@
 b/plugin/icedteanp/IcedTeaNPPlugin.cc  Thu Nov 23 11:56:40 2017 +0100
+@@ -1562,11 +1562,15 @@
command_line[2] = NULL;
  
if ( standard_error != NULL ){
 -if(strstr(standard_error, "\"9") != NULL) {
 -  PLUGIN_DEBUG ("detected 9\n");
-+if(strstr(standard_error, "\"9") != NULL
-+   || strstr(standard_error, "\"10") != NULL) {
-+  PLUGIN_DEBUG ("detected 9+\n");
-   PLUGIN_DEBUG ("plugin_get_java_version return\n");
-   return 9;
- }
+-  PLUGIN_DEBUG ("plugin_get_java_version return\n");
+-  return 9;
+-}
++int major = 0;
++int minor = 0;
++sscanf(standard_error, "%*s %*s \"%d.%d", , );
++if (major == 1)
++  major = minor;
++
++PLUGIN_DEBUG ("detected version %d\n", major);
++PLUGIN_DEBUG ("plugin_get_java_version return\n");
++return major;
+   }
+   PLUGIN_DEBUG ("detected 8 (or generally non nine)\n");
+   PLUGIN_DEBUG ("plugin_get_java_version return\n");




commit erlang for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package erlang for openSUSE:Factory checked 
in at 2017-12-01 15:53:58

Comparing /work/SRC/openSUSE:Factory/erlang (Old)
 and  /work/SRC/openSUSE:Factory/.erlang.new (New)


Package is "erlang"

Fri Dec  1 15:53:58 2017 rev:60 rq:546724 version:20.1.2

Changes:

--- /work/SRC/openSUSE:Factory/erlang/erlang.changes2017-11-07 
09:57:49.322685717 +0100
+++ /work/SRC/openSUSE:Factory/.erlang.new/erlang.changes   2017-12-01 
15:54:24.842361812 +0100
@@ -1,0 +2,6 @@
+Thu Nov 23 13:49:29 UTC 2017 - rbr...@suse.com
+
+- Replace references to /var/adm/fillup-templates with new 
+  %_fillupdir macro (boo#1069468)
+
+---



Other differences:
--
++ erlang.spec ++
--- /var/tmp/diff_new_pack.kkw1TK/_old  2017-12-01 15:54:26.966285382 +0100
+++ /var/tmp/diff_new_pack.kkw1TK/_new  2017-12-01 15:54:26.970285238 +0100
@@ -16,6 +16,11 @@
 #
 
 
+#Compat macro for new _fillupdir macro introduced in Nov 2017
+%if ! %{defined _fillupdir}
+  %define _fillupdir /var/adm/fillup-templates
+%endif
+
 %if 0%{?rhel} >= 7
 %undefine _missing_build_ids_terminate_build
 %endif
@@ -413,7 +418,7 @@
 ln -s   /etc/init.d/epmd  %{buildroot}%{_sbindir}/rcepmd
 %endif
 install -D -m 0755 %{S:4} %{buildroot}/etc/init.d/epmd
-install -D -m 0644 %{S:5} 
%{buildroot}/var/adm/fillup-templates/sysconfig.erlang
+install -D -m 0644 %{S:5} %{buildroot}%{_fillupdir}/sysconfig.erlang
 install -D -m 0644 %{S:6} %{buildroot}%{_sysconfdir}/rpm/macros.erlang
 
 %pre epmd
@@ -550,7 +555,7 @@
 %endif
 /etc/init.d/epmd
 %{_sbindir}/rcepmd
-/var/adm/fillup-templates/sysconfig.erlang
+%{_fillupdir}/sysconfig.erlang
 
 %files jinterface
 %defattr(-,root,root,-)




commit live-langset-data for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package live-langset-data for 
openSUSE:Factory checked in at 2017-12-01 15:54:12

Comparing /work/SRC/openSUSE:Factory/live-langset-data (Old)
 and  /work/SRC/openSUSE:Factory/.live-langset-data.new (New)


Package is "live-langset-data"

Fri Dec  1 15:54:12 2017 rev:2 rq:546805 version:1.0

Changes:

--- /work/SRC/openSUSE:Factory/live-langset-data/live-langset-data.changes  
2017-09-29 11:56:58.317387894 +0200
+++ /work/SRC/openSUSE:Factory/.live-langset-data.new/live-langset-data.changes 
2017-12-01 15:54:31.802111364 +0100
@@ -1,0 +2,5 @@
+Tue Nov 28 06:22:44 UTC 2017 - fv...@suse.com
+
+- Improve langset.service, also start in runlevel 3
+
+---



Other differences:
--
++ langset.service ++
--- /var/tmp/diff_new_pack.IpXw1z/_old  2017-12-01 15:54:32.534085024 +0100
+++ /var/tmp/diff_new_pack.IpXw1z/_new  2017-12-01 15:54:32.534085024 +0100
@@ -1,5 +1,5 @@
 [Unit]
-Description=setup language based on kernel commandline
+Description=Adjust the system language based on the kernel cmdline
 Requires=dbus.service sysinit.target
 Before=multi-user.target shutdown.target
 After=dbus.service sysinit.target
@@ -11,4 +11,4 @@
 ExecStart=/bin/sh /usr/sbin/langset.sh
 
 [Install]
-WantedBy=default.target
+WantedBy=multi-user.target




commit monit for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package monit for openSUSE:Factory checked 
in at 2017-12-01 15:54:01

Comparing /work/SRC/openSUSE:Factory/monit (Old)
 and  /work/SRC/openSUSE:Factory/.monit.new (New)


Package is "monit"

Fri Dec  1 15:54:01 2017 rev:39 rq:546725 version:5.22.0

Changes:

--- /work/SRC/openSUSE:Factory/monit/monit.changes  2017-04-24 
09:49:22.342962384 +0200
+++ /work/SRC/openSUSE:Factory/.monit.new/monit.changes 2017-12-01 
15:54:27.298273435 +0100
@@ -1,0 +2,6 @@
+Thu Nov 23 13:50:51 UTC 2017 - rbr...@suse.com
+
+- Replace references to /var/adm/fillup-templates with new 
+  %_fillupdir macro (boo#1069468)
+
+---



Other differences:
--
++ monit.spec ++
--- /var/tmp/diff_new_pack.88d8fa/_old  2017-12-01 15:54:28.582227232 +0100
+++ /var/tmp/diff_new_pack.88d8fa/_new  2017-12-01 15:54:28.582227232 +0100
@@ -17,6 +17,11 @@
 #
 
 
+#Compat macro for new _fillupdir macro introduced in Nov 2017
+%if ! %{defined _fillupdir}
+  %define _fillupdir /var/adm/fillup-templates
+%endif
+
 Name:   monit
 Version:5.22.0
 Release:0
@@ -104,7 +109,7 @@
"%{buildroot}%{_sysconfdir}/monit.d" \
"%{buildroot}%{_sbindir}" \
"%{buildroot}%{_datadir}/monit" \
-   "%{buildroot}%{_var}/adm/fillup-templates" \
+   "%{buildroot}%{_fillupdir}" \
"%{buildroot}/run/monit" \
"%{buildroot}/run/monit/events" \
"%{buildroot}%{_var}/lib/monit"
@@ -140,7 +145,7 @@
 %__install -m0754 vendor-files/init/monit "%{buildroot}/etc/init.d/monit"
 %__ln_s ../../etc/init.d/monit "%{buildroot}/usr/sbin/rcmonit"
 %__install -m0754 vendor-files/tools/monit-modifyinittab 
"%{buildroot}%{_datadir}/monit"
-%__install -m0644 vendor-files/sysconfig/monit 
"%{buildroot}%{_var}/adm/fillup-templates/sysconfig.monit"
+%__install -m0644 vendor-files/sysconfig/monit 
"%{buildroot}%{_fillupdir}/sysconfig.monit"
 touch "%{buildroot}%{_var}/lib/monit/monit-inittab.state"
 %if 0%{?suse_version} == 0 || 0%{?suse_version} > 1110
 touch "%{buildroot}/run/monit/.monit.id"
@@ -185,7 +190,7 @@
 %{_bindir}/monit
 %dir %{_datadir}/monit
 %{_datadir}/monit/monit-modifyinittab
-%{_var}/adm/fillup-templates/sysconfig.monit
+%{_fillupdir}/sysconfig.monit
 %dir %{_var}/lib/monit
 %ghost %{_var}/lib/monit/monit-inittab.state
 %if 0%{?suse_version} == 0 || 0%{?suse_version} > 1110




commit mksusecd for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package mksusecd for openSUSE:Factory 
checked in at 2017-12-01 15:54:04

Comparing /work/SRC/openSUSE:Factory/mksusecd (Old)
 and  /work/SRC/openSUSE:Factory/.mksusecd.new (New)


Package is "mksusecd"

Fri Dec  1 15:54:04 2017 rev:40 rq:546787 version:1.54

Changes:

--- /work/SRC/openSUSE:Factory/mksusecd/mksusecd.changes2017-10-09 
19:49:02.293429266 +0200
+++ /work/SRC/openSUSE:Factory/.mksusecd.new/mksusecd.changes   2017-12-01 
15:54:28.742221475 +0100
@@ -1,0 +2,7 @@
+Thu Nov 30 15:42:48 UTC 2017 - wfe...@opensuse.org
+
+- merge gh#openSUSE/mksusecd#26
+- manage (sle15-style modules) repomd repositories
+- 1.54
+
+

Old:

  mksusecd-1.53.tar.xz

New:

  mksusecd-1.54.tar.xz



Other differences:
--
++ mksusecd.spec ++
--- /var/tmp/diff_new_pack.JupddV/_old  2017-12-01 15:54:29.362199164 +0100
+++ /var/tmp/diff_new_pack.JupddV/_new  2017-12-01 15:54:29.362199164 +0100
@@ -18,7 +18,7 @@
 
 
 Name:   mksusecd
-Version:1.53
+Version:1.54
 Release:0
 Summary:Create SUSE Linux installation ISOs
 License:GPL-3.0+

++ mksusecd-1.53.tar.xz -> mksusecd-1.54.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mksusecd-1.53/VERSION new/mksusecd-1.54/VERSION
--- old/mksusecd-1.53/VERSION   2017-10-09 16:36:05.0 +0200
+++ new/mksusecd-1.54/VERSION   2017-11-30 16:42:48.0 +0100
@@ -1 +1 @@
-1.53
+1.54
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mksusecd-1.53/changelog new/mksusecd-1.54/changelog
--- old/mksusecd-1.53/changelog 2017-10-09 16:36:05.0 +0200
+++ new/mksusecd-1.54/changelog 2017-11-30 16:42:48.0 +0100
@@ -1,3 +1,6 @@
+2017-11-29:1.54
+   - manage (sle15-style modules) repomd repositories
+
 2017-10-09:1.53
- beautify code
- ensure initrd has really been unpacked when --rebuild-initrd option 
is used
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mksusecd-1.53/mksusecd new/mksusecd-1.54/mksusecd
--- old/mksusecd-1.53/mksusecd  2017-10-09 16:36:05.0 +0200
+++ new/mksusecd-1.54/mksusecd  2017-11-30 16:42:48.0 +0100
@@ -201,6 +201,8 @@
 sub eval_size;
 sub add_linuxrc_option;
 sub wipe_iso;
+sub analyze_products;
+sub check_product;
 
 my %config;
 my $sudo;
@@ -246,6 +248,9 @@
 my $opt_instsys;
 my $opt_defaultrepo;
 my $opt_no_iso;
+my $opt_merge_repos = 1;
+my $opt_list_repos;
+my $opt_include_repos;
 
 
 GetOptions(
@@ -304,13 +309,17 @@
   'addon-name=s' => \$opt_addon_name,
   'addon-alias=s'=> \$opt_addon_alias,
   'addon-prio=i' => \$opt_addon_prio,
+  'no-merge-repos'   => sub { $opt_merge_repos = 0 },
+  'merge-repos'  => \$opt_merge_repos,
+  'list-repos'   => \$opt_list_repos,
+  'include-repos=s'  => \$opt_include_repos,
   'save-temp'=> \$opt_save_temp,
   'verbose|v'=> sub { $opt_verbose++ },
   'version'  => sub { print "$VERSION\n"; exit 0 },
   'help' => sub { usage 0 },
 ) || usage 1;
 
-usage 1 unless $opt_create;
+usage 1 unless $opt_create || $opt_list_repos;
 usage 1 if $opt_hybrid_fs !~ '^(|iso|fat)$';
 usage 1 if defined($opt_digest) && $opt_digest !~ 
'^(md5|sha1|sha224|sha256|sha384|sha512)$';
 
@@ -347,10 +356,12 @@
 my $tmp_err = $tmp->file('err');
 my $tmp_sort = $tmp->file('sort');
 my $tmp_exclude = $tmp->file('exclude');
+my $tmp_filelist = $tmp->file('filelist');
 my $tmp_fat = $tmp->file('fat');
 
 my @sources;
 my $files;
+my $files_to_keep;
 my $boot;
 my $todo;
 my $iso_cnt = 0;
@@ -377,6 +388,7 @@
 my $syslinux_config;
 my $linuxrc_options;
 my $has_content;
+my $product_db;
 
 my $progress_start = 0;
 my $progress_end = 100;
@@ -392,7 +404,7 @@
   die "$opt_size: invalid size\n" unless $image_size;
 }
 
-if($opt_create) {
+if($opt_create || $opt_list_repos) {
 #  if(@opt_kernel_rpms) {
 #die "Sorry, you must run mksusecd as root to replace kernel modules." if 
$>;
 #  }
@@ -439,6 +451,7 @@
 die $msg;
   }
 
+  analyze_products \@sources;
   build_filelist \@sources;
   $boot = analyze_boot;
   get_initrd_format;
@@ -653,6 +666,13 @@
 If unset, an alias based on the repo name is 
generated.
   --addon-prio NUM  Set add-on repository priority to NUM; lower 
NUM means higher
 priority (default: 60).
+  --merge-repos When mksusecd detects repositories in SOURCES 
it will try to make
+them all available and create a common 

commit openSUSE-release-tools for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package openSUSE-release-tools for 
openSUSE:Factory checked in at 2017-12-01 15:53:50

Comparing /work/SRC/openSUSE:Factory/openSUSE-release-tools (Old)
 and  /work/SRC/openSUSE:Factory/.openSUSE-release-tools.new (New)


Package is "openSUSE-release-tools"

Fri Dec  1 15:53:50 2017 rev:24 rq:546700 version:20171130.3b99a9d

Changes:

--- 
/work/SRC/openSUSE:Factory/openSUSE-release-tools/openSUSE-release-tools.changes
2017-11-27 22:18:44.257923680 +0100
+++ 
/work/SRC/openSUSE:Factory/.openSUSE-release-tools.new/openSUSE-release-tools.changes
   2017-12-01 15:54:07.374990378 +0100
@@ -1,0 +2,12 @@
+Thu Nov 30 12:18:44 UTC 2017 - opensuse-releaset...@opensuse.org
+
+- Update to version 20171130.3b99a9d:
+  * compare_pkglist: add more features
+
+---
+Mon Nov 27 12:29:51 UTC 2017 - opensuse-releaset...@opensuse.org
+
+- Update to version 20171127.60cdcec:
+  * check_source: Ignore download_files failure in some cases
+
+---

Old:

  openSUSE-release-tools-20171127.3368dd5.obscpio

New:

  openSUSE-release-tools-20171130.3b99a9d.obscpio



Other differences:
--
++ openSUSE-release-tools.spec ++
--- /var/tmp/diff_new_pack.Z1vcDO/_old  2017-12-01 15:54:10.178889480 +0100
+++ /var/tmp/diff_new_pack.Z1vcDO/_new  2017-12-01 15:54:10.186889192 +0100
@@ -20,7 +20,7 @@
 %define source_dir osc-plugin-factory
 %define announcer_filename factory-package-news
 Name:   openSUSE-release-tools
-Version:20171127.3368dd5
+Version:20171130.3b99a9d
 Release:0
 Summary:Tools to aid in staging and release work for openSUSE/SUSE
 License:GPL-2.0+ and MIT

++ _servicedata ++
--- /var/tmp/diff_new_pack.Z1vcDO/_old  2017-12-01 15:54:10.222887896 +0100
+++ /var/tmp/diff_new_pack.Z1vcDO/_new  2017-12-01 15:54:10.226887752 +0100
@@ -1,6 +1,6 @@
 
   
 https://github.com/openSUSE/osc-plugin-factory.git
-3368dd555d8cb1953738675345fcb10461de65a9
+3c8a8411cdc12accf623a9e829c68f9177c891f7
   
 

++ openSUSE-release-tools-20171127.3368dd5.obscpio -> 
openSUSE-release-tools-20171130.3b99a9d.obscpio ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/openSUSE-release-tools-20171127.3368dd5/check_source.pl 
new/openSUSE-release-tools-20171130.3b99a9d/check_source.pl
--- old/openSUSE-release-tools-20171127.3368dd5/check_source.pl 2017-11-27 
13:23:10.0 +0100
+++ new/openSUSE-release-tools-20171130.3b99a9d/check_source.pl 2017-11-30 
13:13:27.0 +0100
@@ -238,7 +238,7 @@
 chdir($dir) || die 'tempdir failed';
 if (system("/usr/lib/obs/service/download_files","--enforceupstream", "yes", 
"--enforcelocal", "yes", "--outdir", $tmpdir)) {
 print "Source URLs are not valid. Try \"osc service localrun 
download_files\"\n";
-$ret = 1;
+$ret = 2;
 }
 chdir($odir);
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/openSUSE-release-tools-20171127.3368dd5/check_source.py 
new/openSUSE-release-tools-20171130.3b99a9d/check_source.py
--- old/openSUSE-release-tools-20171127.3368dd5/check_source.py 2017-11-27 
13:23:10.0 +0100
+++ new/openSUSE-release-tools-20171130.3b99a9d/check_source.py 2017-11-30 
13:13:27.0 +0100
@@ -109,7 +109,12 @@
 output = '  '.join(checked).translate(None, '\033')
 os.chdir('/tmp')
 
-if ret != 0:
+# ret = 0 : Good
+# ret = 1 : Bad
+# ret = 2 : Bad but can be non-fatal in some cases
+if ret > 1 and target_project.startswith('openSUSE:Leap:') and 
(source_project.startswith('SUSE:SLE-15:') or 
source_project.startswith('openSUSE:Factory')):
+pass
+elif ret != 0:
 shutil.rmtree(dir)
 self.review_messages['declined'] = "Output of check script:\n" + 
output
 return False
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/openSUSE-release-tools-20171127.3368dd5/compare_pkglist.py 
new/openSUSE-release-tools-20171130.3b99a9d/compare_pkglist.py
--- old/openSUSE-release-tools-20171127.3368dd5/compare_pkglist.py  
2017-11-27 13:23:10.0 +0100
+++ new/openSUSE-release-tools-20171130.3b99a9d/compare_pkglist.py  
2017-11-30 13:13:27.0 +0100
@@ -40,12 +40,15 @@
 http_POST = osc.core.http_POST
 
 class CompareList(object):
-def __init__(self, old_prj, new_prj, verbose, newonly, removedonly, 
submit):
+def __init__(self, old_prj, new_prj, verbose, newonly, removedonly, 
existin, submit, submitfrom, submitto):
 

commit java-10-openjdk for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package java-10-openjdk for openSUSE:Factory 
checked in at 2017-12-01 15:53:33

Comparing /work/SRC/openSUSE:Factory/java-10-openjdk (Old)
 and  /work/SRC/openSUSE:Factory/.java-10-openjdk.new (New)


Package is "java-10-openjdk"

Fri Dec  1 15:53:33 2017 rev:3 rq:546614 version:10.0.0.0~33

Changes:

--- /work/SRC/openSUSE:Factory/java-10-openjdk/java-10-openjdk.changes  
2017-11-15 17:03:25.431677528 +0100
+++ /work/SRC/openSUSE:Factory/.java-10-openjdk.new/java-10-openjdk.changes 
2017-12-01 15:53:37.456067019 +0100
@@ -1,0 +2,10 @@
+Thu Nov 23 08:26:07 UTC 2017 - fst...@suse.com
+
+- Update to upstream tag jdk-10+33
+
+---
+Tue Nov 21 11:32:05 UTC 2017 - fst...@suse.com
+
+- Update to upstream tag jdk-10+32
+
+---

Old:

  e6278add9ff2.tar.bz2

New:

  bbd692ad4fa3.tar.bz2



Other differences:
--
++ java-10-openjdk.spec ++
--- /var/tmp/diff_new_pack.7SMlU0/_old  2017-12-01 15:53:50.415600666 +0100
+++ /var/tmp/diff_new_pack.7SMlU0/_new  2017-12-01 15:53:50.419600523 +0100
@@ -32,10 +32,10 @@
 %global minorver0
 %global securityver 0
 %global patchver0
-%global buildver31
-%global root_projectjdk
-%global root_repository jdk
-%global root_revision   e6278add9ff2
+%global buildver33
+%global hg_project  jdk
+%global hg_repository   jdk
+%global hg_revision bbd692ad4fa3
 %global icedtea_sound_version 1.0.1
 %global java_atk_wrapper_version 0.33.2
 # priority must be 6 digits in total
@@ -122,7 +122,7 @@
 Group:  Development/Languages/Java
 Url:http://openjdk.java.net/
 # Sources from upstream OpenJDK10 project.
-Source0:
http://hg.openjdk.java.net/%{root_project}/%{root_repository}/archive/%{root_revision}.tar.bz2
+Source0:
http://hg.openjdk.java.net/%{hg_project}/%{hg_repository}/archive/%{hg_revision}.tar.bz2
 # Accessibility support
 Source8:
ftp://ftp.gnome.org/pub/GNOME/sources/java-atk-wrapper/0.33/java-atk-wrapper-%{java_atk_wrapper_version}.tar.xz
 # Pulseaudio support
@@ -391,9 +391,9 @@
 need to.
 
 %prep
-%setup -q -n %{root_repository}-%{root_revision}
-%setup -q -D -n %{root_repository}-%{root_revision} -T -a 8
-%setup -q -D -n %{root_repository}-%{root_revision} -T -a 9
+%setup -q -n %{hg_repository}-%{hg_revision}
+%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 8
+%setup -q -D -n %{hg_repository}-%{hg_revision} -T -a 9
 
 # Replace config.sub and config.guess with fresh versions
 cp %{SOURCE100} make/autoconf/build-aux/
@@ -1026,6 +1026,7 @@
 %{_jvmdir}/%{sdkdir}/lib/libawt_headless.so
 %{_jvmdir}/%{sdkdir}/lib/libawt.so
 %{_jvmdir}/%{sdkdir}/lib/libdt_socket.so
+%{_jvmdir}/%{sdkdir}/lib/libextnet.so
 %{_jvmdir}/%{sdkdir}/lib/libfontmanager.so
 %{_jvmdir}/%{sdkdir}/lib/libinstrument.so
 %{_jvmdir}/%{sdkdir}/lib/libj2gss.so

++ e6278add9ff2.tar.bz2 -> bbd692ad4fa3.tar.bz2 ++
/work/SRC/openSUSE:Factory/java-10-openjdk/e6278add9ff2.tar.bz2 
/work/SRC/openSUSE:Factory/.java-10-openjdk.new/bbd692ad4fa3.tar.bz2 differ: 
char 11, line 1




commit R-base for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package R-base for openSUSE:Factory checked 
in at 2017-12-01 15:53:40

Comparing /work/SRC/openSUSE:Factory/R-base (Old)
 and  /work/SRC/openSUSE:Factory/.R-base.new (New)


Package is "R-base"

Fri Dec  1 15:53:40 2017 rev:57 rq:546684 version:unknown

Changes:

--- /work/SRC/openSUSE:Factory/R-base/R-base.changes2017-10-09 
19:40:26.616093961 +0200
+++ /work/SRC/openSUSE:Factory/.R-base.new/R-base.changes   2017-12-01 
15:53:53.619485374 +0100
@@ -1,0 +2,44 @@
+Thu Nov 30 10:17:27 UTC 2017 - detlef.ste...@gmx.de
+
+- upstream updated to 3.4.3
+
+  CHANGES IN R 3.4.3:
+
+  INSTALLATION on a UNIX-ALIKE:
+
+* A workaround has been added for the changes in location of
+  time-zone files in macOS 10.13 'High Sierra' and again in
+  10.13.1, so the default time zone is deduced correctly from the
+  system setting when R is configured with --with-internal-tzcode
+  (the default on macOS).
+
+* R CMD javareconf has been updated to recognize the use of a Java
+  9 SDK on macOS.
+
+  BUG FIXES:
+
+* raw(0) & raw(0) and raw(0) | raw(0) again return raw(0) (rather
+  than logical(0)).
+
+* intToUtf8() converts integers corresponding to surrogate code
+  points to NA rather than invalid UTF-8, as well as values larger
+  than the current Unicode maximum of 0x10.  (This aligns with
+  the current RFC3629.)
+
+* Fix calling of methods on S4 generics that dispatch on ... when
+  the call contains 
+
+* Following Unicode 'Corrigendum 9', the UTF-8 representations of
+  U+FFFE and U+ are now regarded as valid by utf8ToInt().
+
+* range(c(TRUE, NA), finite = TRUE) and similar no longer return
+  NA. (Reported by Lukas Stadler.)
+
+* The self starting function attr(SSlogis, "initial") now also
+  works when the y values have exact minimum zero and is slightly
+  changed in general, behaving symmetrically in the y range.
+
+* The printing of named raw vectors is now formatted nicely as for
+  other such atomic vectors, thanks to Lukas Stadler.
+
+---

Old:

  R-3.4.2.tar.bz2

New:

  R-3.4.3.tar.bz2



Other differences:
--
++ R-base.spec ++
--- /var/tmp/diff_new_pack.KTfK1Y/_old  2017-12-01 15:53:54.907439026 +0100
+++ /var/tmp/diff_new_pack.KTfK1Y/_new  2017-12-01 15:53:54.911438882 +0100
@@ -19,7 +19,7 @@
 %define release 1
 
 Name:   R-base
-Version:3.4.2
+Version:3.4.3
 Release:%release
 %define Rversion %{version}
 Source: R-%{version}.tar.bz2
@@ -1327,7 +1327,7 @@
 %package -n R-Matrix
 Summary:Package provides recommended R-Matrix
 Group:  Development/Libraries/Other
-Version:1.2.11
+Version:1.2.12
 Release:%release
 Requires:   R-base
 
@@ -1366,7 +1366,7 @@
 %package -n R-Matrix-devel
 Summary:Package provides header files for recommended R-Matrix
 Group:  Development/Libraries/Other
-Version:1.2.11
+Version:1.2.12
 Release:%release
 Requires:   R-Matrix
 Requires:   R-base
@@ -1385,7 +1385,7 @@
 %package -n R-mgcv
 Summary:Package provides recommended R-mgcv
 Group:  Development/Libraries/Other
-Version:1.8.20
+Version:1.8.22
 Release:%release
 Requires:   R-base
 

++ R-3.4.2.tar.bz2 -> R-3.4.3.tar.bz2 ++
/work/SRC/openSUSE:Factory/R-base/R-3.4.2.tar.bz2 
/work/SRC/openSUSE:Factory/.R-base.new/R-3.4.3.tar.bz2 differ: char 11, line 1




commit python-celery for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package python-celery for openSUSE:Factory 
checked in at 2017-12-01 15:53:39

Comparing /work/SRC/openSUSE:Factory/python-celery (Old)
 and  /work/SRC/openSUSE:Factory/.python-celery.new (New)


Package is "python-celery"

Fri Dec  1 15:53:39 2017 rev:20 rq:546667 version:4.1.0

Changes:

--- /work/SRC/openSUSE:Factory/python-celery/python-celery.changes  
2017-10-09 19:40:59.670641144 +0200
+++ /work/SRC/openSUSE:Factory/.python-celery.new/python-celery.changes 
2017-12-01 15:53:50.779587568 +0100
@@ -1,0 +2,5 @@
+Thu Nov 30 09:57:28 UTC 2017 - tchva...@suse.com
+
+- Add missing runtime deps (mostly same as build time ones...)
+
+---



Other differences:
--
++ python-celery.spec ++
--- /var/tmp/diff_new_pack.3HhYdv/_old  2017-12-01 15:53:51.439563819 +0100
+++ /var/tmp/diff_new_pack.3HhYdv/_new  2017-12-01 15:53:51.439563819 +0100
@@ -43,7 +43,9 @@
 BuildRequires:  netcfg
 BuildRequires:  python-rpm-macros
 Requires:   python-billiard >= 3.5.0.2
+Requires:   python-kombu >= 4.0.2
 Requires:   python-python-dateutil
+Requires:   python-vine
 Recommends: python-curses
 Recommends: python-pyOpenSSL
 Suggests:   python-eventlet




commit zypper-lifecycle-plugin for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package zypper-lifecycle-plugin for 
openSUSE:Factory checked in at 2017-12-01 15:53:44

Comparing /work/SRC/openSUSE:Factory/zypper-lifecycle-plugin (Old)
 and  /work/SRC/openSUSE:Factory/.zypper-lifecycle-plugin.new (New)


Package is "zypper-lifecycle-plugin"

Fri Dec  1 15:53:44 2017 rev:4 rq:546688 version:0.6.1490613702.a925823

Changes:

--- 
/work/SRC/openSUSE:Factory/zypper-lifecycle-plugin/zypper-lifecycle-plugin.changes
  2017-03-28 15:24:36.601275903 +0200
+++ 
/work/SRC/openSUSE:Factory/.zypper-lifecycle-plugin.new/zypper-lifecycle-plugin.changes
 2017-12-01 15:53:56.403385194 +0100
@@ -1,0 +2,6 @@
+Thu Nov 23 13:54:37 UTC 2017 - rbr...@suse.com
+
+- Replace references to /var/adm/fillup-templates with new 
+  %_fillupdir macro (boo#1069468)
+
+---



Other differences:
--
++ zypper-lifecycle-plugin.spec ++
--- /var/tmp/diff_new_pack.AODJO9/_old  2017-12-01 15:53:57.339351513 +0100
+++ /var/tmp/diff_new_pack.AODJO9/_new  2017-12-01 15:53:57.343351369 +0100
@@ -16,6 +16,11 @@
 #
 
 
+#Compat macro for new _fillupdir macro introduced in Nov 2017
+%if ! %{defined _fillupdir}
+  %define _fillupdir /var/adm/fillup-templates
+%endif
+
 Name:   zypper-lifecycle-plugin
 Url:https://github.com/SUSE/zypper-lifecycle
 Version:0.6.1490613702.a925823
@@ -54,7 +59,7 @@
 mkdir -p %{buildroot}/usr/lib/systemd/system
 install -m 644 lifecycle-report.service %{buildroot}%{_unitdir}
 install -m 644 lifecycle-report.timer %{buildroot}%{_unitdir}
-install -D -m 644 sysconfig.lifecycle-report 
%{buildroot}/var/adm/fillup-templates/sysconfig.lifecycle-report
+install -D -m 644 sysconfig.lifecycle-report 
%{buildroot}%{_fillupdir}/sysconfig.lifecycle-report
 
 %pre
 %service_add_pre lifecycle-report.service lifecycle-report.timer
@@ -76,6 +81,6 @@
 /var/lib/lifecycle
 %{_mandir}/man8/*
 %{_unitdir}/*
-/var/adm/fillup-templates/*
+%{_fillupdir}/*
 
 %changelog




commit kmod for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package kmod for openSUSE:Factory checked in 
at 2017-12-01 15:53:28

Comparing /work/SRC/openSUSE:Factory/kmod (Old)
 and  /work/SRC/openSUSE:Factory/.kmod.new (New)


Package is "kmod"

Fri Dec  1 15:53:28 2017 rev:44 rq:546550 version:24

Changes:

--- /work/SRC/openSUSE:Factory/kmod/kmod.changes2017-11-23 
09:40:37.688802974 +0100
+++ /work/SRC/openSUSE:Factory/.kmod.new/kmod.changes   2017-12-01 
15:53:28.920374179 +0100
@@ -64 +64 @@
-- Fix kernel master build for ppc64le
+- Fix kernel master build for ppc64le (bsc#1070209)



Other differences:
--
kmod.spec: same change




commit mariadb-connector-odbc for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package mariadb-connector-odbc for 
openSUSE:Factory checked in at 2017-12-01 15:53:26

Comparing /work/SRC/openSUSE:Factory/mariadb-connector-odbc (Old)
 and  /work/SRC/openSUSE:Factory/.mariadb-connector-odbc.new (New)


Package is "mariadb-connector-odbc"

Fri Dec  1 15:53:26 2017 rev:1 rq:544612 version:3.0.2

Changes:

New Changes file:

--- /dev/null   2017-10-14 16:26:57.428140955 +0200
+++ 
/work/SRC/openSUSE:Factory/.mariadb-connector-odbc.new/mariadb-connector-odbc.changes
   2017-12-01 15:53:27.776415345 +0100
@@ -0,0 +1,58 @@
+---
+Sun Nov 19 07:36:34 UTC 2017 - mplus...@suse.com
+
+- Use more cmake macros
+- Run spec-cleaner
+
+---
+Fri Nov 17 14:07:35 UTC 2017 - adam.ma...@suse.de
+
+- New upstream version 3.0.2
+  * first stable version of MariaDB Connector/ODBC 3.0
+  * fixed number of memory leaks
+- Refreshed patches:
+  * missing_includes.patch
+  * package_name.patch
+- Removed upstreamed patches:
+  * fix_bool_return_types.patch
+  * no_static_linking.patch
+- missing_libs.patch: Add missing -lpthread dependency
+- nosoname.patch: libmaodbc.so is an ODBC driver, not a normal
+  library. Remove soname generation.
+
+---
+Thu Jul 13 12:21:40 UTC 2017 - adam.ma...@suse.de
+
+- New upstream version 2.0.15:
+  * fix crash in ODBC Driver SQLExecDirect()
+  * fix batch query with non-preparable statement crashed
+  * fix backslash at the end of string in one of statements in
+multistatement query leads to error
+- Changes in version 2.0.14:
+  * SQLGetData now correctly handles UTF-16 surrogate pairs
+  * Execution of 'ANALYZE TABLE' statement used to invalidate
+statement and connection handles
+  * SQLGetData would not return SQL_NO_DATA for BLOB/TEXT columns
+if the buffer size is larger than the column data
+  * Min and Max value for time data type were processed incorrectly
+  * fixed Error in the SQLGetTypeInfo for WCHAR Types
+  * SQLBulkOperations/SQLSetPos SQL_ADD would fail if TIMESTAMP
+column ignored
+
+---
+Wed Mar 29 14:37:55 UTC 2017 - adam.ma...@suse.de
+
+- Add sample_odbc.ini file to documentation directory. 
+
+---
+Thu Mar 23 11:04:18 UTC 2017 - adam.ma...@suse.de
+
+- Initial package of MariaDB Connector/ODBC 2.0.13
+- fix_bool_return_types.patch: use only supported data types
+- missing_includes.patch: missing headers added
+- no_static_linking.patch: dynamically link with the private
+  symbols library.
+- package_name.patch: set package name to SUSE package name
+  so we don't have to move files around after install or change
+  library names.
+

New:

  DSN_names.patch
  README
  mariadb-connector-odbc-3.0.2-ga-src.tar.gz
  mariadb-connector-odbc-3.0.2-ga-src.tar.gz.asc
  mariadb-connector-odbc.changes
  mariadb-connector-odbc.spec
  missing_includes.patch
  missing_libs.patch
  nosoname.patch
  package_name.patch
  sample_odbc.ini



Other differences:
--
++ mariadb-connector-odbc.spec ++
#
# spec file for package mariadb-connector-odbc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   mariadb-connector-odbc
Version:3.0.2
Release:0
Summary:MariaDB ODBC Connector
License:LGPL-2.1+
Group:  Productivity/Databases/Tools
URL:https://downloads.mariadb.org/connector-odbc/
Source: 
https://downloads.mariadb.org/interstitial/connector-odbc-%{version}/mariadb-connector-odbc-%{version}-ga-src.tar.gz
# signature is from copy/pasted stuff found on the download page, not actual 
file
Source1:mariadb-connector-odbc-%{version}-ga-src.tar.gz.asc
Source2:README
Source3:sample_odbc.ini
Patch3: missing_includes.patch
Patch5: package_name.patch
Patch6: DSN_names.patch
Patch7: missing_libs.patch

commit installation-images for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package installation-images for 
openSUSE:Factory checked in at 2017-12-01 15:53:07

Comparing /work/SRC/openSUSE:Factory/installation-images (Old)
 and  /work/SRC/openSUSE:Factory/.installation-images.new (New)


Package is "installation-images"

Fri Dec  1 15:53:07 2017 rev:28 rq:547005 version:14.344

Changes:

--- /work/SRC/openSUSE:Factory/installation-images/installation-images.changes  
2017-11-23 09:39:01.676306012 +0100
+++ 
/work/SRC/openSUSE:Factory/.installation-images.new/installation-images.changes 
2017-12-01 15:53:16.252830025 +0100
@@ -1,0 +2,7 @@
+Fri Dec 1 09:50:39 UTC 2017 - wfe...@opensuse.org
+
+- merge gh#openSUSE/installation-images#219
+- add gpg-agent to instsys (bsc#1067992)
+- 14.344
+
+

Old:

  installation-images-14.343.tar.xz

New:

  installation-images-14.344.tar.xz



Other differences:
--
++ installation-images.spec ++
--- /var/tmp/diff_new_pack.HULUEG/_old  2017-12-01 15:53:16.912806276 +0100
+++ /var/tmp/diff_new_pack.HULUEG/_new  2017-12-01 15:53:16.916806132 +0100
@@ -537,7 +537,7 @@
 Summary:Installation Image Files for %theme
 License:GPL-2.0+
 Group:  Metapackages
-Version:14.343
+Version:14.344
 Release:0
 Provides:   installation-images = %version-%release
 Conflicts:  otherproviders(installation-images)

++ installation-images-14.343.tar.xz -> installation-images-14.344.tar.xz 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-14.343/VERSION 
new/installation-images-14.344/VERSION
--- old/installation-images-14.343/VERSION  2017-11-20 13:02:01.0 
+0100
+++ new/installation-images-14.344/VERSION  2017-12-01 10:50:39.0 
+0100
@@ -1 +1 @@
-14.343
+14.344
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-14.343/changelog 
new/installation-images-14.344/changelog
--- old/installation-images-14.343/changelog2017-11-20 13:02:01.0 
+0100
+++ new/installation-images-14.344/changelog2017-12-01 10:50:39.0 
+0100
@@ -1,3 +1,6 @@
+2017-12-01:14.344
+   - add gpg-agent to instsys (bsc #1067992)
+
 2017-11-20:14.343
- adjust to ruby2.5
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/installation-images-14.343/data/initrd/initrd.file_list 
new/installation-images-14.344/data/initrd/initrd.file_list
--- old/installation-images-14.343/data/initrd/initrd.file_list 2017-11-20 
13:02:01.0 +0100
+++ new/installation-images-14.344/data/initrd/initrd.file_list 2017-12-01 
10:50:39.0 +0100
@@ -262,6 +262,7 @@
 
 gpg2:
   /usr/bin/gpg{,2}
+  /usr/bin/gpg-agent
   d root/.gnupg
 
 cryptsetup:




commit libzypp for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package libzypp for openSUSE:Factory checked 
in at 2017-12-01 15:53:01

Comparing /work/SRC/openSUSE:Factory/libzypp (Old)
 and  /work/SRC/openSUSE:Factory/.libzypp.new (New)


Package is "libzypp"

Fri Dec  1 15:53:01 2017 rev:391 rq:546364 version:17.0.3

Changes:

--- /work/SRC/openSUSE:Factory/libzypp/libzypp.changes  2017-10-21 
20:20:39.234152571 +0200
+++ /work/SRC/openSUSE:Factory/.libzypp.new/libzypp.changes 2017-12-01 
15:53:04.257261691 +0100
@@ -1,0 +2,32 @@
+Tue Nov 28 18:21:51 CET 2017 - m...@suse.de
+
+- When importing multiple keys, export the individual keys
+  ascii armored for import into the rpmdb (bsc#1069381)
+- version 17.0.3 (0)
+
+---
+Thu Nov 23 12:33:51 CET 2017 - m...@suse.de
+
+- Don't filter procs with a different mnt namespace (bsc#1068708)
+- Support repo variables in an URIs host:port component
+  (bsc#1057640, bsc#1067605)
+- version 17.0.2 (0)
+
+---
+Fri Nov 10 15:25:20 CET 2017 - m...@suse.de
+
+- Solvable: fix inconsistent retrieval of mediaNr (bsc#1065677)
+- version 17.0.1 (0)
+
+---
+Tue Nov  7 16:14:31 CET 2017 - m...@suse.de
+
+- Locale: Fix possible segfault (bsc#1064999)
+- RpmDb: Remove excess keys in the zypp keyring when exporting keys only
+  (bsc#1064380)
+- KeyRing: Fix deleted keys not removed from rpmdb too (bsc#1064380)
+- Flag gpg keycache dirty when adding/removing keys (bsc#1064380)
+- Version 17.x for CODE-15, 16.x. is continued on SuSE-SLE-12-SP2-Branch
+- version 17.0.0 (0)
+
+---

Old:

  libzypp-16.17.3.tar.bz2

New:

  libzypp-17.0.3.tar.bz2



Other differences:
--
++ libzypp.spec ++
--- /var/tmp/diff_new_pack.CWuFIn/_old  2017-12-01 15:53:13.664923152 +0100
+++ /var/tmp/diff_new_pack.CWuFIn/_new  2017-12-01 15:53:13.672922864 +0100
@@ -19,7 +19,7 @@
 %define force_gcc_46 0
 
 Name:   libzypp
-Version:16.17.3
+Version:17.0.3
 Release:0
 Url:git://gitorious.org/opensuse/libzypp.git
 Summary:Package, Patch, Pattern, and Product Management
@@ -38,7 +38,7 @@
 Provides:   libzypp(plugin:services) = 1
 Provides:   libzypp(plugin:system) = 1
 Provides:   libzypp(plugin:urlresolver) = 0
-Provides:   libzypp(repovarexpand) = 1
+Provides:   libzypp(repovarexpand) = 1.1
 
 %if 0%{?suse_version}
 Recommends: logrotate

++ libzypp-16.17.3.tar.bz2 -> libzypp-17.0.3.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libzypp-16.17.3/VERSION.cmake 
new/libzypp-17.0.3/VERSION.cmake
--- old/libzypp-16.17.3/VERSION.cmake   2017-10-12 18:16:06.0 +0200
+++ new/libzypp-17.0.3/VERSION.cmake2017-11-28 18:26:07.0 +0100
@@ -58,11 +58,11 @@
 # - Consider calling ./mkChangelog to assist you.
 #   See './mkChangelog -h' for help.
 #
-SET(LIBZYPP_MAJOR "16")
+SET(LIBZYPP_MAJOR "17")
 SET(LIBZYPP_COMPATMINOR "0")
-SET(LIBZYPP_MINOR "17")
+SET(LIBZYPP_MINOR "0")
 SET(LIBZYPP_PATCH "3")
 #
-# LAST RELEASED: 16.17.3 (0)
+# LAST RELEASED: 17.0.3 (0)
 # (The number in parenthesis is LIBZYPP_COMPATMINOR)
 #===
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libzypp-16.17.3/doc/autoinclude/FeatureTest.doc 
new/libzypp-17.0.3/doc/autoinclude/FeatureTest.doc
--- old/libzypp-16.17.3/doc/autoinclude/FeatureTest.doc 2017-10-10 
12:48:09.0 +0200
+++ new/libzypp-17.0.3/doc/autoinclude/FeatureTest.doc  2017-11-22 
10:41:04.0 +0100
@@ -68,6 +68,8 @@
 Also support braced variables, shell like default and alternate 
values.
 version 1
 Also support user defined repo variables in /etc/zypp/vars.d.
+version 1.1
+Support repo variables in an URIs \c host and \c port component.
   
 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libzypp-16.17.3/doc/autoinclude/RepoVariables.doc 
new/libzypp-17.0.3/doc/autoinclude/RepoVariables.doc
--- old/libzypp-16.17.3/doc/autoinclude/RepoVariables.doc   2017-10-10 
12:48:09.0 +0200
+++ new/libzypp-17.0.3/doc/autoinclude/RepoVariables.doc2017-11-22 
11:16:06.0 +0100
@@ -33,6 +33,8 @@
 
 \subsection zypp-repoars-userdefined User defined repository variables 
[requires 'libzypp(repovarexpand) >= 1']
 
-A custom repository variable is defined by creating a file in \c 
/etc/zypp/vars.d. The variable name equals the file name. The files first line 
(up to but not including the newline 

commit zypper for openSUSE:Factory

2017-12-01 Thread root
Hello community,

here is the log from the commit of package zypper for openSUSE:Factory checked 
in at 2017-12-01 15:52:54

Comparing /work/SRC/openSUSE:Factory/zypper (Old)
 and  /work/SRC/openSUSE:Factory/.zypper.new (New)


Package is "zypper"

Fri Dec  1 15:52:54 2017 rev:276 rq:544590 version:1.14.0

Changes:

--- /work/SRC/openSUSE:Factory/zypper/zypper.changes2017-10-10 
11:37:14.558598257 +0200
+++ /work/SRC/openSUSE:Factory/.zypper.new/zypper.changes   2017-12-01 
15:52:57.569502353 +0100
@@ -1,0 +2,8 @@
+Thu Nov 23 12:34:53 CET 2017 - m...@suse.de
+
+- Update manpage regarding custom repository variable fixes
+  (bsc#1057640, bsc#1067605)
+- Version 1.14.x for CODE-15, 1.13.x. is continued on SuSE-SLE-12-SP2-Branch
+- version 1.14.0
+
+---

Old:

  zypper-1.13.37.tar.bz2

New:

  zypper-1.14.0.tar.bz2



Other differences:
--
++ zypper.spec ++
--- /var/tmp/diff_new_pack.eFb3DY/_old  2017-12-01 15:52:59.477433695 +0100
+++ /var/tmp/diff_new_pack.eFb3DY/_new  2017-12-01 15:52:59.477433695 +0100
@@ -27,7 +27,7 @@
 BuildRequires:  gcc-c++ >= 4.7
 BuildRequires:  gettext-devel >= 0.15
 BuildRequires:  libxml2-devel
-BuildRequires:  libzypp-devel >= 16.15.4
+BuildRequires:  libzypp-devel >= 17.0.2
 BuildRequires:  readline-devel >= 5.1
 Requires:   procps
 %if 0%{?suse_version}
@@ -38,7 +38,7 @@
 Summary:Command line software manager using libzypp
 License:GPL-2.0+
 Group:  System/Packages
-Version:1.13.37
+Version:1.14.0
 Release:0
 Source: %{name}-%{version}.tar.bz2
 Source1:%{name}-rpmlintrc

++ zypper-1.13.37.tar.bz2 -> zypper-1.14.0.tar.bz2 ++
/work/SRC/openSUSE:Factory/zypper/zypper-1.13.37.tar.bz2 
/work/SRC/openSUSE:Factory/.zypper.new/zypper-1.14.0.tar.bz2 differ: char 11, 
line 1